<?php

require_once '../db/conn.php';

$isError = 0;

$errorMessages = [];

try {
    if (!empty($_POST)) {
        if ($_POST['form_type'] != '') {
            if ($_POST['form_type'] == '1') {

                $business =  isset($_POST['values']['business_and_industry']) ? $_POST['values']['business_and_industry'] : '';
                $haveWebsite = isset($_POST['valuesChecked']['domain_website']) ? $_POST['valuesChecked']['domain_website'] : '';
                $website = isset($_POST['values']['domain_url_web']) ? $_POST['values']['domain_url_web'] : '';
                $noOfEmp = isset($_POST['valuesChecked']['company_employees']) ? $_POST['valuesChecked']['company_employees'] : '';
                $currMarketing = isset($_POST['valuesChecked']['currently_marketing']) ? $_POST['valuesChecked']['currently_marketing'] : '';
                $marketingChallen = isset($_POST['valuesChecked']['challenges']) ? $_POST['valuesChecked']['challenges'] : '';
                $howMarketing = isset($_POST['valuesChecked']['how_are_you_marketing']) ? $_POST['valuesChecked']['how_are_you_marketing'] : '';
                $ads =  isset($_POST['valuesChecked']['ads']) ? $_POST['valuesChecked']['ads'] : '';
                $salutation = isset($_POST['valuesChecked']['title']) ? $_POST['valuesChecked']['title'] : '';
                $fname = isset($_POST['values']['first_name']) ? $_POST['values']['first_name'] : '';
                $lname = isset($_POST['values']['last_name']) ? $_POST['values']['last_name'] : '';
                $postcode = isset($_POST['values']['postcode']) ? $_POST['values']['postcode'] : '';
                $address = isset($_POST['values']['selctr_address_inpv']) ? $_POST['values']['selctr_address_inpv'] : '';
                $mobile = isset($_POST['values']['mobile_number']) ? $_POST['values']['mobile_number'] : '';
                $email = isset($_POST['values']['email']) ? $_POST['values']['email'] : '';
                $agree = isset($_POST['valuesChecked']['agree']) ? $_POST['valuesChecked']['agree'] : '';

                // validations
                if (empty($business)) {
                    $isError = 1;
                    $errorMessages[] = 'Business and industry field is required.';
                }

                if ($haveWebsite === '') {
                    $isError = 1;
                    $errorMessages[] = 'Please select if you have website.';
                } else {

                    if ($haveWebsite == '1') {
                        if (empty($website)) {
                            $isError = 1;
                            $errorMessages[] = 'Website URL is required.';
                        } else {
                            $urlFormat = "/^(https?:\/\/)?(www\.)?((([a-zA-Z0-9_-]+)\.)+[a-zA-Z]{2,6})(:[0-9]{1,5})?(\/.*)?$/";
                            if (!preg_match($urlFormat, $website)) {
                                $isError = 1;
                                $errorMessages[] = 'URL is invalid.';
                            }
                        }
                    }
                }

                if (empty($noOfEmp)) {
                    $isError = 1;
                    $errorMessages[] = 'Number of employees is required.';
                }

                if ($currMarketing === '') {
                    $isError = 1;
                    $errorMessages[] = 'Are you currently marketing is required.';
                } else {
                    if ($currMarketing == '1') {
                        if (empty($marketingChallen)) {
                            $isError = 1;
                            $errorMessages[] = 'What are current marketing and sales challenges is required.';
                        } else {
                            if (preg_match('/\d/', $marketingChallen)) {
                                $isError = 1;
                                $errorMessages[] = 'What are current marketing and sales challenges is invalid.';
                            }
                        }
                        if (empty($howMarketing)) {
                            $isError = 1;
                            $errorMessages[] = 'How are you marketing is required.';
                        } else {
                            if (preg_match('/\d/', $howMarketing)) {
                                $isError = 1;
                                $errorMessages[] = 'How are you marketing is invalid.';
                            }
                        }
                        if (empty($ads)) {
                            $isError = 1;
                            $errorMessages[] = 'How much you spend on ads is required.';
                        }
                    }
                }

                if (empty($salutation)) {
                    $isError = 1;
                    $errorMessages[] = 'Salutation is required.';
                } else {
                    if (preg_match('/\d/', $salutation)) {
                        $isError = 1;
                        $errorMessages[] = 'Salutation is invalid.';
                    }
                }

                if (empty($fname)) {
                    $isError = 1;
                    $errorMessages[] = 'First name is required.';
                } else {
                    if (preg_match('/\d/', $fname)) {
                        $isError = 1;
                        $errorMessages[] = 'First name is invalid.';
                    }
                    if (!preg_match('/[a-zA-Z]/', $fname)) {
                        echo "First name is invalid.";
                    }
                }

                if (empty($lname)) {
                    $isError = 1;
                    $errorMessages[] = 'Last name is required.';
                } else {
                    if (preg_match('/\d/', $lname)) {
                        $isError = 1;
                        $errorMessages[] = 'Last name is invalid.';
                    }
                    if (!preg_match('/[a-zA-Z]/', $lname)) {
                        echo "Last name is invalid.";
                    }
                }

                if (empty($postcode)) {
                    $isError = 1;
                    $errorMessages[] = 'Postcode is required.';
                } else {
                    if (empty($address)) {
                        $isError = 1;
                        $errorMessages[] = 'Address is required.';
                    }
                }

                if (empty($mobile)) {
                    $isError = 1;
                    $errorMessages[] = 'Mobile no is required.';
                } else {
                    if (ctype_digit($mobile)) {
                        if (strlen($mobile) > 10) {
                            $isError = 1;
                            $errorMessages[] = 'Mobile no should be of 10 digits.';
                        }
                    } else {
                        $isError = 1;
                        $errorMessages[] = 'Mobile no is invalid.';
                    }
                }

                if (empty($email)) {
                    $isError = 1;
                    $errorMessages[] = 'Email is required.';
                } else {
                    if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
                        $isError = 1;
                        $errorMessages[] = 'Email is invalid.';
                    }
                }

                if ($agree === '') {
                    $isError = 1;
                    $errorMessages[] = 'Agree to communication is required.';
                }

                if ($haveWebsite == '0') {
                    $website = null;
                }

                if ($currMarketing == '0') {
                    $marketingChallen = null;
                    $howMarketing = null;
                }

                if ($isError === 0) {
                    $query = $conn->prepare('INSERT INTO funnel_data (app_id, business_and_industry, have_website, website, no_of_emp, currently_marketing, marketing_challenges, how_are_you_marketing, spend_on_ads, salutation, fname, lname, postcode, address, mobile, email, agree, created_at) VALUES(:app_id, :business_and_industry, :have_website, :website, :no_of_emp, :currently_marketing, :marketing_challenges, :how_are_you_marketing, :spend_on_ads, :salutation, :fname, :lname, :postcode, :address, :mobile, :email, :agree, :created_at)');

                    $query->execute([':app_id' => uniqid(), ':business_and_industry' => $business, ':have_website' => $haveWebsite, ':website' => $website, ':no_of_emp' => $noOfEmp, ':currently_marketing' => $currMarketing, ':marketing_challenges' => $marketingChallen, ':how_are_you_marketing' =>  $howMarketing, ':spend_on_ads' => $ads, ':salutation' => $salutation, ':fname' => $fname, ':lname' => $lname, ':postcode' => $postcode, ':address' => $address, ':mobile' => $mobile, ':email' => $email, ':agree' => $agree, ':created_at' => date('Y-m-d H:i:s')]);

                    $lastInsertId = $conn->lastInsertId();

                    $query2 = $conn->prepare('SELECT app_id FROM funnel_data WHERE id = :lastInsertId');
                    $query2->execute([':lastInsertId' => $lastInsertId]);

                    $result = $query2->fetch();

                    if ($result) {
                        echo json_encode(['app_id' => $result['app_id'], 'status' => 'success', 'message' => 'Form submitted successfully']);
                    } else {
                        echo json_encode(['status' => 'failed', 'message' => 'Server error']);
                    }
                } else {
                    echo json_encode(['status' => 'failed', 'message' => 'Please fill all the required fields.']);
                }
            } else {
                $appId = $_POST['app_id'];
                $landingPage = $_POST['values']['selected_design'] ?? null;
                $anyRef = $_POST['values']['reference_link'] ?? null;
                $preferTheme = $_POST['values']['prefer_theme'] ?? null;
                $websiteFeel = $_POST['values']['website_description'] ?? null;
                $customDesign = $_POST['values']['design_pref'] ?? null;
                $customQuestions = $_POST['valuesChecked']['custom_questions'] ?? null;
                $yourQues = $_POST['values']['your_questions'] ?? null;
                $leads = $_POST['valuesChecked']['web_leads_delivered'] ?? null;
                $storeLeads = $_POST['valuesChecked']['web_process_leads'] ?? null;
                $crmUsed = $_POST['valuesChecked']['crm_used'] ?? null;
                $writeCopy = $_POST['values']['write_copy'] ?? null;
                $paidMarketing = isset($_POST['values']['paid_marketing']) && !empty($_POST['values']['paid_marketing']) ? $_POST['values']['paid_marketing'] : 0;
                $funcRequired = $_POST['valuesChecked']['functionality_required'] ?? null;
                $funcRequiredField = $_POST['values']['functionality_required'] ?? null;
                $submittedSteps = $_POST['submitted_steps'] ?? null;

                // validations
                if ($submittedSteps == '1') {
                    if (empty($customDesign)) {
                        $isError = 1;
                        $errorMessages[] = 'Any specific design preferences is required.';
                    }
                }

                if ($submittedSteps == '2') {
                    if ($customQuestions === '') {
                        $isError = 1;
                        $errorMessages[] = 'Let me do this is required.';
                    }

                    if (empty($yourQues)) {
                        $isError = 1;
                        $errorMessages[] = 'Your questions is required.';
                    }
                }

                if ($submittedSteps == '3') {
                    if ($leads === '') {
                        $isError = 1;
                        $errorMessages[] = 'Where would you like your leads delivered is required.';
                    } else {
                        if ($leads == '1') {
                            if (empty($storeLeads)) {
                                $isError = 1;
                                $errorMessages[] = 'What solutions you are using to store and process leads is required.';
                            }

                            if (empty($crmUsed)) {
                                $isError = 1;
                                $errorMessages[] = 'What CRM is being used is required.';
                            }
                        }
                    }
                }

                if ($submittedSteps == '4') {
                    if ($paidMarketing === '') {
                        $isError = 1;
                        $errorMessages[] = 'Paid marketing is required.';
                    }
                }

                if ($submittedSteps == '5') {
                    if ($funcRequired === '') {
                        $isError = 1;
                        $errorMessages[] = 'Any specific functionality is required.';
                    } else {
                        if ($funcRequired == '1') {
                            if (empty($funcRequiredField)) {
                                $isError = 1;
                                $errorMessages[] = 'Functionality is required.';
                            }
                        }
                    }
                }

                if ($isError === 0) {
                    $query = $conn->prepare('UPDATE funnel_data SET landing_page = :landing_page, any_ref = :any_ref, color = :color, website_feel = :website_feel, custom_design = :custom_design, custom_questions = :custom_questions, your_questions = :your_questions, leads_delivered = :leads_delivered, store_leads = :store_leads, crm_used = :crm_used, write_copy = :write_copy, ads = :ads, specific_func = :specific_func, func = :func, submitted_steps = :submitted_steps, updated_at = :updated_at WHERE app_id = :app_id');

                    $result = $query->execute([':app_id' => $appId, ':landing_page' => $landingPage, ':any_ref' => $anyRef, ':color' => $preferTheme, ':website_feel' => $websiteFeel, ':custom_design' => $customDesign, ':custom_questions' => $customQuestions, ':your_questions' => $yourQues, ':leads_delivered' => $leads, ':store_leads' => $storeLeads, ':crm_used' =>  $crmUsed, ':write_copy' => $writeCopy, ':ads' => $paidMarketing, ':specific_func' => $funcRequired, ':func' => $funcRequiredField, ':submitted_steps' => $submittedSteps, ':updated_at' => date('Y-m-d H:i:s')]);

                    if ($result) {
                        echo json_encode(['app_id' => $appId, 'status' => 'success', 'message' => 'Form submitted successfully']);
                    } else {
                        echo json_encode(['status' => 'failed', 'message' => 'Server error']);
                    }
                } else {
                    echo json_encode(['status' => 'failed', 'message' => 'Please fill all the required fields.']);
                }
            }
        } else {
            $isError = 1;
            $errorMessages[] = 'Form type is required.';
        }
    } else {
        $isError = 1;
        $errorMessages[] = 'Request data not found.';
    }

    if ($isError === 1) {
        echo json_encode(['status' => 'failed', 'message' => 'Please fill all the required fields.']);
    }
} catch (Exception $e) {
    echo json_encode(['status' => 'failed', 'message' => 'Something went wrong']);
}
