<?php

require_once '../db/conn.php';

$isError = 0;

$errorMessages = [];

try {
    $appId = $_POST['app_id'];
    $submittedSteps = $_POST['submitted_steps'] ?? null;


    if (empty($appId)) {
        $isError = 1;
        $errorMessages[] = 'App ID is required.';
    }

    if ($submittedSteps === '') {
        $isError = 1;
        $errorMessages[] = 'Step is required.';
    }

    if ($isError === 0) {
        $query = $conn->prepare('UPDATE funnel_data SET submitted_steps = :submitted_steps, updated_at = :updated_at WHERE app_id = :app_id');

        $result = $query->execute([':app_id' => $appId, ':submitted_steps' => $submittedSteps, ':updated_at' => date('Y-m-d H:i:s')]);

        if ($result) {
            echo json_encode(['app_id' => $appId, 'status' => 'success', 'message' => 'State updated successfully']);
        } else {
            echo json_encode(['status' => 'failed', 'message' => 'Server error']);
        }
    } else {
        echo json_encode(['status' => 'failed', 'message' => 'Please fill all the required fields.']);
    }
} catch (Exception $e) {
    echo json_encode(['status' => 'failed', 'message' => 'Something went wrong']);
}
