<?php
require_once 'config/config.php';
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Qwikgig Funnel</title>
    <link data-n-head="ssr" rel="icon" type="image/x-icon" href="assets/images/favicon.png" />
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css" />

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/aos@2.3.4/dist/aos.css" />

    <link rel="stylesheet" href="assets/css/style.css?noch=<?php echo time(); ?>" />

    <link rel="stylesheet" href="assets/css/responsive.css?noch=<?php echo time(); ?>" />

    <link rel="stylesheet" href="assets/css/variables.css?noch=<?php echo time(); ?>" />

    <link rel="stylesheet" href="assets/css/owl.carousel.min.css?noch=<?php echo time(); ?>" />

    <link rel="stylesheet" href="assets/css/owl.theme.default.min.css?noch=<?php echo time(); ?>" />

</head>



<body>

    <!-- banner background div -->

    <div class="banner-bg">

        <div class="bg-overley"> </div> <!-- background overley -->

        <!-- main section -->

        <main class="funnel">

            <!-- header -->

            <header>

                <div class="container">

                    <div class="headerdes d-md-flex d-none align-items-center justify-content-between py-3">

                        <div class="headerlft">

                            <a class="navbar-brand" href="/">

                                <img src="assets/images/logo.svg" alt="logo">

                            </a>

                        </div>

                        <div class="headerrgt">

                            <div class="navbarcnt">

                                <ul class="navbar-nav gap-4 flex-md-row flex-column ms-auto mb-2 mb-lg-0">

                                    <li class="nav-item">

                                        <div class="text-md-end text-start">

                                            <p class="callnumb mb-0">Call 0151 909 6120</p>

                                            <p class="callline mb-0">Lines open until 9pm</p>

                                        </div>

                                    </li>



                                    <li class="nav-item">

                                        <a class="bookdemobtn" href="<?php echo APP_URL . '' . 'start/?nocachuri' ?>">Get Started Now</a>

                                    </li>

                                </ul>

                            </div>

                        </div>

                    </div>

                    <div class="headermob d-md-none d-flex align-items-center justify-content-between py-3">

                        <div class="headerlft">

                            <a class="navbar-brand" href="<?php echo APP_URL . '' . 'start/?nocachuri' ?>">

                                <img src="assets/images/logo.svg" alt="logo">

                            </a>

                        </div>

                        <div class="headerrgt">

                            <div id="navbarcnt" class="navbarcnt text-center" style="display: none;">

                                <button class="closebtn"> <i class="fas fa-times close-icon" id="closeButton"></i>

                                </button>

                                <ul class="navbar-nav flex-md-row flex-column ms-auto mb-2 mb-lg-0">

                                    <li class="nav-item mb-3">

                                        <div class="text-md-end text-center">

                                            <p class="callnumb mb-0">Call 0151 909 6120</p>

                                            <p class="callline mb-0">Lines open until 9pm</p>

                                        </div>

                                    </li>



                                    <li class="nav-item">

                                        <a class="bookdemobtn" href="<?php echo APP_URL . '' . 'start/?nocachuri' ?>">Get Started Now</a>

                                    </li>

                                </ul>

                            </div>

                            <button class="navbar-button" type="button">

                                <img src="assets/images/menu.svg" alt="" width="24px">

                            </button>

                        </div>

                    </div>

                </div>

            </header>

            <!-- end header -->

            <!-- banner -->

            <section class="banner funnel-banner">

                <div class="container">

                    <h1 class="imagine-head" data-aos="fade-left" data-aos-delay="200">

                        Imagine how good your funnel would be if it was designed by people who do it <span

                            class="italic-cnt"> <i> day in, day out </i> </span>

                    </h1>



                    <p data-aos="fade-up" data-aos-delay="200">We craft proven, high-converting landing pages and

                        funnels that integrate seamlessly into your business.</p>



                    <div class="mt-5 getstart-main d-flex align-items-sm-center align-items-start flex-sm-row flex-column"

                        data-aos="fade-up" data-aos-delay="200">

                        <a href="<?php echo APP_URL . '' . 'start/?nocachuri' ?>" class="getstart">Get Started Now</a>

                        <span class="trustpilot-imgs">

                            <div class="d-flex align-items-center">

                                <img src="assets/images/img1.webp" width="32px" alt="image" class="start-0">

                                <img src="assets/images/img2.webp" width="32px" alt="image" class="trust-imgs trust-img2">

                                <img src="assets/images/img3.webp" width="32px" alt="image" class="trust-imgs trust-img3">

                                <img src="assets/images/img4.webp" width="32px" alt="image" class="trust-imgs trust-img4">

                        </span>

                        <span class="ms-3">20+ people trust us on trustpilot</span>

                    </div>



                </div>



            </section>

            <!-- end banner -->

    </div>

    <!-- End banner background div -->



    <!-- Website Performance -->

    <section class="website-performance" data-aos="fade-up" data-aos-delay="200">

        <div class="container">

            <h2 class="heading funnel_perfor">Funnel Performance That Was Once Deemed

                <span class="italic-cnt">Unobtainable </span>

            </h2>

            <div class="performance-inr d-flex flex-md-row flex-column">

                <div class="performance-img d-md-block d-none">

                    <img src="assets/images/shape-bg.svg" alt="">

                </div>

                <div class="performance-cnt">

                    <h4 class="mb-0">

                        QwikGig offers a fast, hassle-free landing page and funnel solution to get your business more

                        leads. Cut through delays of development agencies and DIY funnel builders.

                    </h4>

                </div>

            </div>

        </div>

    </section>

    <!-- End Website Performance -->



    <!-- High Performing  -->

    <section class="high-performing" data-aos="fade-up" data-aos-delay="200">

        <div class="container">

            <div class="heading-main">

                <h2 class="heading mb-3 copy-write">

                    <span class="italic-cnt"> High Performing </span> Copy Written For You

                </h2>

                <p>We know what converts and what doesn’t. <br>

                    Great copy is what high-performing websites do differently. See the difference? </p>

            </div>

            <div class="highperforming-inr px-3">

                <img src="assets/images/high-performing.svg" alt="" class="img-fluid d-md-block d-none ms-lg-5">

                <img src="assets/images/high-performing-mob.svg" alt="" class="img-fluid d-block d-md-none">

            </div>

            <h3 class="subheading">

                We write professional website copy for you, using a carefully crafted value proposition with specifics

                that speak to your customer.

            </h3>

        </div>



    </section>

    <!-- End High Performing  -->



    <!--  Quality Leads  -->

    <section class="quality-leads" data-aos="fade-up" data-aos-delay="200">

        <div class="container">

            <div class="d-flex flex-md-row flex-column">

                <div class="leadscnt mb-md-0 mb-4 col-sm">

                    <h2 class="heading mb-3"><span class="italic-cnt">Quality </span> Leads Only.</h2>

                    <p>By asking the right questions, we filter out unqualified leads, allowing you to focus on

                        high-potential prospects.</p>

                    <p class="mb-0"> With precise lead vetting, your marketing efforts yield better results.</p>

                </div>
                <div class="leadsqltyright mb-md-0 col-sm">
                  <img src="assets/images/quality-leadsv2.png" alt="" class="img-fluid">
                </div>

            </div>

        </div>

    </section>

   <!-- End Quality Leads  -->



   <!-- Professional Design -->

    <section class="professional-design" data-aos="fade-up" data-aos-delay="200">

        <div class="container">

            <div class=" d-flex flex-md-row flex-column">

                <div class="professional-lft w-100">
<img src="assets/images/slide-dif.svg" alt="" class="slide-diffrence">

                <div class="img-comp-container">
  <div class="img-comp-img">
    <img src="assets/images/homepage-after.png">
    <!-- <img src="assets/images/after-mob.svg" class="d-sm-none d-block"> -->
  </div>
  <div class="img-comp-img img-comp-overlay">
    <img src="assets/images/homepage-before.png" >
    <!-- <img src="assets/images/before-mob.svg" class="d-sm-none d-block"> -->
  </div>
</div>

                </div>

                <div class="professional-rgt w-100 ps-md-3 pt-md-5 mt-md-5 mb-md-0 mb-4">

                    <h2 class="heading">Professional Design That <span class="italic-cnt">Creates Action</span></h2>

                    <p>Professionally designed, high performance funnels that match your brand perfectly. </p>

                    <p class="mb-0">We create stunning, user-friendly designs that captivate and engage visitors,

                        ensuring your landing page not only looks great but also performs exceptionally well.</p>

                </div>

            </div>

        </div>

    </section>

   <!-- End Professional Design -->



<!-- integrations -->

<section class="integrations">

<div class="">

    <div class="integrations-cnt">

 <h2 class="heading mb-3">Integrations That <br>

   <span class="italic-cnt"> Just Work</span></h2>

   <p>Adding our funnel to your existing systems is easy. We do it for you. We are the solution to your technical headaches.</p>

   </div>

<img src="assets/images/integration-imobv.jpg" alt="" class="w-100 d-sm-none d-block">

</div>

</section>

<!-- End integrations -->



    <!-- Technicals -->

    <section class="technicals" data-aos="fade-up" data-aos-delay="200">

        <div class="container">

            <h2 class="heading text-center">And <span class="italic-cnt">We Don’t Miss</span> The Technicals</h2>

            <div class="d-flex gap-md-4 gap-3 flex-md-row flex-column">

                <div class="technicals-dtls w-100">

                    <div class="technicals-img">

                        <img src="assets/images/zap-fast.svg" alt="">

                    </div>

                    <div class="mt-4">

                        <h3 class="subheading">Rapid Load Times</h3>

                        <p class="mb-0 techno-txt">Accelerate your load times to keep users clicking. Every second counts in

                            keeping potential customers engaged</p>

                    </div>

                </div>

                <div class="technicals-dtls w-100">

                    <div class="technicals-img">

                        <img src="assets/images/phone-02.svg" alt="">

                    </div>

                    <div class="mt-4">

                        <h3 class="subheading">Mobile-First Design</h3>

                        <p class="mb-0 techno-txt">Don’t let a poor mobile experience cost you conversions. Optimise every landing

                            page to look great and function.

                        </p>

                    </div>

                </div>

                <div class="technicals-dtls w-100">

                    <div class="technicals-img">

                        <img src="assets/images/shield-zap.svg" alt="">

                    </div>

                    <div class="mt-4">

                        <h3 class="subheading">Build Trust, Fast</h3>

                        <p class="mb-0 techno-txt">We build credibility instantly by displaying testimonials and

                        </p>

                    </div>

                </div>



            </div>

        </div>

    </section>

    <!-- End Technicals -->



    <!-- lets start -->

    <section class="lets-start reclaim wait-time" data-aos="fade-up" data-aos-delay="200">

        <div class="container">

            <div class="letstart-inr reclaim-inr">

                <div class="reclaim-cnt aos-init aos-animate" data-aos="fade-right" data-aos-delay="300">

                    <h2 class="heading mb-0">Waiting Times? <br>

                        Delivery In <span class="italic-cnt">Less Than A Week</span> </h2>



                </div>



            </div>

        </div>

        </div>

    </section>

    <!-- End lets start -->



    <!-- Funnel Secret -->

    <section class="funnel-secret" data-aos="fade-up" data-aos-delay="200">

        <div class="container">

            <div class="">

                <div class="fnlscrt">

                    <h2 class="heading">A good funnel is the secret to your <span class="italic-cnt"> online success</span></h2>

                    <p class="mb-0 diff-btw">It’s the difference between the 1,929,999,999 websites that don’t make money, <b>and

                            the .000000002% that do!</b></p>

                </div>

                <div class="d-flex flex-md-row flex-column mt-5 justify-content-center gap-4">

                    <div class="without-funnel funnel-inr p-4">

                        <h3 class="with-qwikgig">Without QwikGig Funnel</h3>

                        <ul class="mb-0">

                            <li class="mb-4"> <img src="assets/images/x-circle.svg" alt=""> Do everything yourself</li>

                            <li class="mb-4"> <img src="assets/images/x-circle.svg" alt=""> No customers </li>

                            <li class="mb-4"> <img src="assets/images/x-circle.svg" alt=""> Confusing sign-up process</li>

                            <li class="mb-0"> <img src="assets/images/x-circle.svg" alt=""> Sadness</li>

                        </ul>

                    </div>

                    <div class="with-funnel funnel-inr mt-md-0 mt-3 p-4">

                        <h3 class="with-qwikgig"> With QwikGig Funnel</h3>

                        <ul class="mb-0">

                            <li class="mb-4"> <img src="assets/images/check-circle-broken.svg" alt=""> The pros do it all for you </li>

                            <li class="mb-4"> <img src="assets/images/check-circle-broken.svg" alt=""> Stream of customers </li>

                            <li class="mb-4"> <img src="assets/images/check-circle-broken.svg" alt=""> Leads galore </li>

                            <li class="mb-0"> <img src="assets/images/check-circle-broken.svg" alt=""> Opposite of sadness </li>

                        </ul>

                        <a class="text-center d-block w-100" href="<?php echo APP_URL . '' . 'start/?nocachuri' ?>">Get Started Now</a>

                    </div>

                </div>

            </div>

            <div>

            </div>

        </div>

    </section>

    <!-- End Funnel Secret -->



    <!-- FAQ -->

    <section class="faq" data-aos="fade-up" data-aos-delay="200">

        <div class="container">

            <div class="d-flex flex-lg-row flex-column">

                <div class="w-100 mb-lg-0 mb-3">

                    <h2 class="heading mb-4">Frequently asked questions </h2>

                    <h4 class="mb-2">Have a question?</h4>

                    <p>Feel free to get in contact, we’re happy to help</p>

                    <div class="faq-dtls d-flex flex-wrap">

                        <a href="tel:0151 909 6120" class="phn"> <i class="fa fa-phone me-2"></i>0151 909 6120</a>

                        <a href="mailto:hello@qwikgig.com" class="mail"><i class="fa-regular fa-envelope me-2"></i>

                           hello@qwikgig,com</a>

                    </div>

                </div>

                <div class="accordion faq-inr w-100" id="faq-inr">

                    <div class="accordion-item">

                        <h2 class="accordion-header">

                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"

                                data-bs-target="#faq1" aria-expanded="false" aria-controls="faq1">

                                What level of support and service can I expect from QwikGig?

                            </button>

                        </h2>

                        <div id="faq1" class="accordion-collapse collapse">

                            <div class="accordion-body p-0">

                                <p>We created QwikGig so you wouldn't have to have a whole I.T. department, or any knowledge of marketing or web design to make the most of a powerful sales funnel. Just click ‘Build My Funnel’ and we’ll collect all of the information needed to take the problem away from you and get the ball rolling. Then we will handle everything from start to finish.</p>

                            </div>

                        </div>

                    </div>



                    <div class="accordion-item">

                        <h2 class="accordion-header">

                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"

                                data-bs-target="#faq2" aria-expanded="false" aria-controls="faq2">

                                What is included in the satisfaction guarantee?

                            </button>

                        </h2>

                        <div id="faq2" class="accordion-collapse collapse">

                            <div class="accordion-body p-0">
                                  <p>Our satisfaction guarantee includes unlimited changes until you are completely happy with the final 
                                    product. We are committed to ensuring that the landing pages and funnels we build align perfectly with 
                                    your vision and goals.</p>

                            </div>

                        </div>

                    </div>



                    <div class="accordion-item">

                        <h2 class="accordion-header">

                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"

                                data-bs-target="#faq3" aria-expanded="false" aria-controls="faq3">

                                Who owns the data / content / subscribers?

                            </button>

                        </h2>

                        <div id="faq3" class="accordion-collapse collapse">

                            <div class="accordion-body p-0">

                                <p>You do! QwikGig won’t ever use the data you collect through your funnel, or contact your users for any reason. QwikGig is a service to set up and manage your funnel so you don’t have to worry about it. Leads generated with QwikGig marketing services are also 100% your own.</p>

                            </div>

                        </div>

                    </div>



                    <div class="accordion-item">

                        <h2 class="accordion-header">

                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"

                                data-bs-target="#faq4" aria-expanded="false" aria-controls="faq4">

                                Do I have to pay for updates?

                            </button>

                        </h2>

                        <div id="faq4" class="accordion-collapse collapse">

                            <div class="accordion-body p-0">

                                <p>Nope! Upkeep, maintenance, and any tweaks to your funnel will be included in your fee arrangement. However any major overhaul or the development of entirely new features may be subject to an additional fee.</p>

                            </div>

                        </div>

                    </div>



                    <div class="accordion-item">

                        <h2 class="accordion-header">

                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"

                                data-bs-target="#faq5" aria-expanded="false" aria-controls="faq5">

                                Who is responsible for the hosting?

                            </button>

                        </h2>

                        <div id="faq5" class="accordion-collapse collapse">

                            <div class="accordion-body p-0">

                                <p>We handle everything as we provide a complete solution. From funnel creation, to maintenance and hosting. We do everything for you. And your data is stored in highly secure servers.</p>

                            </div>

                        </div>

                    </div>



                    <div class="accordion-item">

                        <h2 class="accordion-header">

                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"

                                data-bs-target="#faq6" aria-expanded="false" aria-controls="faq6">

                                Can’t I just build my funnel myself?

                            </button>

                        </h2>

                        <div id="faq6" class="accordion-collapse collapse">

                            <div class="accordion-body p-0">

                                <p>Sure, but it takes a lot of time and effort to learn what strategies are truly effective. By using a QwikGig funnel you can benefit from our expertise, and relax knowing that your strategy will be highly optimised from the start. The investment in a highly effective landing page and sales funnel will pay for itself, many times over, through the results it generates.</p>

                            </div>

                        </div>

                    </div>



                    <div class="accordion-item">

                        <h2 class="accordion-header">

                            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"

                                data-bs-target="#faq7" aria-expanded="false" aria-controls="faq7">

                                Will there be any limits on the responses I can collect, or the traffic to the website?

                            </button>

                        </h2>

                        <div id="faq7" class="accordion-collapse collapse">

                            <div class="accordion-body p-0">

                                <p>We’re not in the business of capping our clients’ success. That’s why there are no limits whatsoever on the responses you can collect. And our most basic plan includes half a million monthly visits.</p>

                            </div>

                        </div>

                    </div>



                </div>

            </div>





        </div>

    </section>

    <!-- End FAQ -->



<!-- Setup &  Consultancy Service -->

<section class="consultancy-service" data-aos="fade-up" data-aos-delay="200">

    <div class="container">

    <div class="d-flex flex-lg-row flex-column gap-4">

    <div class="w-100">

        <h2 class="heading mb-4">Setup & <br>

            1-1 Consultancy Service</h2>

            <h3 class="subheading">£3990 Setup</h3>

            <h4 class="per-month">£150 per month</h4>



    </div>

    <div class="w-100">

    <div class="consultancy-pnt">

        <h5 class="mb-4 d-flex align-items-start"> <img src="assets/images/check-circle-broken.svg" alt="" class="me-md-3 me-2"><span> Professionally crafted copy and value proposition </span></h5>

        <h5 class="mb-4 d-flex align-items-start"> <img src="assets/images/check-circle-broken.svg" alt="" class="me-md-3 me-2"><span> Quality lead vetting </span></h5>

        <h5 class="mb-4 d-flex align-items-start"> <img src="assets/images/check-circle-broken.svg" alt="" class="me-md-3 me-2"><span> Bespoke landing page, funnel and *secondary pages design </span></h5>

        <h5 class="mb-4 d-flex align-items-start"> <img src="assets/images/check-circle-broken.svg" alt="" class="me-md-3 me-2"><span> Integration into new / existing workflow </span></h5>

        <h5 class="mb-4 d-flex align-items-start"> <img src="assets/images/check-circle-broken.svg" alt="" class="me-md-3 me-2"><span> Tehnical performance optimisation </span></h5>

        <h5 class="mb-4 d-flex align-items-start"> <img src="assets/images/check-circle-broken.svg" alt="" class="me-md-3 me-2"><span> *Optional marketing for qualifying businesses* </span></h5>



    </div>



        <p class="mb-0">Ongoing support and any minor changes included in the monthly fee. With this service we can answer any strategic or tactical questions you have about your funnel.</p>

    </div>

    </div></div>

</div>

</section>

<!-- End Setup &  Consultancy Service -->



    <!-- Lets start -->

    <section class="lets-start reclaim" data-aos="fade-up" data-aos-delay="200">

        <div class="container">

            <div class="letstart-inr reclaim-inr">

                <div class="reclaim-cnt aos-init aos-animate" data-aos="fade-right" data-aos-delay="300">

                    <h2 class="heading mb-3">Forget DIY funnel builders, we do it for you. <span class="italic-cnt"> Properly</span>.</h2>

                    <p>Count on a QwikGig funnel to increase the effectiveness of your campaigns</p>



                </div>

                <div class="reclaimbtn">

                    <div

                        class="getstart-main d-flex gap-md-4 gap-3 align-items-sm-center align-items-start flex-sm-row flex-column">

                        <a href="<?php echo APP_URL . '' . 'start/?nocachuri' ?>" class="getstart">Get Started Now</a>

                        <span class="trustpilot-imgs">

                            <div class="d-flex align-items-center">

                                <img src="assets/images/img1.webp" width="32px" alt="image" class="start-0">

                                <img src="assets/images/img2.webp" width="32px" alt="image" class="trust-imgs trust-img2">

                                <img src="assets/images/img3.webp" width="32px" alt="image" class="trust-imgs trust-img3">

                                <img src="assets/images/img4.webp" width="32px" alt="image" class="trust-imgs trust-img4">



                                <span class="ms-3">20+ people trust us on trustpilot</span>

                            </div>



                        </span>

                    </div>

                </div>

            </div>

        </div>

    </section>

    <!-- End lets start -->

         <!-- Footer -->

    <footer data-aos="fade-up" data-aos-delay="200">
    <div class="container">
        <div class="footer-top">

            <!-- Slider -->

<div class="slider-container py-md-5 py-3">

    <div class="logo-slider" style="animation-duration: 300s;">

        <?php for ($slidloop = 0; $slidloop <= 20; $slidloop++) {?>

            <img src="assets/images/copywriting.svg" height="40px" alt="">

            <img src="assets/images/star.png" alt>

            <img src="assets/images/design.svg" height="40px" alt="">

            <img src="assets/images/star.png" alt>

            <img src="assets/images/integration.svg" height="40px" alt="">

            <img src="assets/images/star.png" alt>

            <img src="assets/images/delivery.svg" height="40px" alt="">

            <img src="assets/images/star.png" alt>

            <?php }?>

    </div>

</div>

  </div>

   

            <div class="footer-cnt py-sm-4 py-3">

                <div class="row">

                    <div class="col-md-4 footer-abt ftr-sp">

                        <img src="assets/images/logo.webp" class="mb-3" alt="logo" width="150px">

                        <p class="mb-0">We make complex things simple, by creating reliable systems with scalable

                            architecture, and improved user experience.</p>

                    </div>

                    <div class="col-lg-4 col-md-2 ftrbg-image text-center d-md-block d-none ftr-sp">

                        <img src="assets/images/bg1.png" alt="">

                    </div>

                    <div class="col-lg-2 col-md-3 col-6 mt-4 mt-md-0 ftr-sp" class="sitemap">

                        <p class="mb-3">SITEMAP</p>

                        <ul class="mb-0">

                            <li> <a href="/"> Home </a> </li>

                            <li> <a href="/"> Funnel </a> </li>

                            <li> <a href="/"> Contact Us </a> </li>

                            <li> <a href="/"> Login </a> </li>

                        </ul>

                    </div>

                    <div class="col-lg-2 col-md-3 col-6 mt-4 mt-md-0 ftr-sp" class="ftr-contact">

                        <p class="mb-3">CONTACT</p>

                        <ul class="mb-0">

                            <li> <a href="mailto:hello@qwikgig.com"> hello@qwikgig.com</a> </li>



                        </ul>

                    </div>

                </div>

            </div>

            <div class="footer-btm pt-sm-4 pt-3">

                <p class="mb-4">Copyright 2024 QwikGig. All Rights Reserved. QwikGig is a registered trademark of

                    QwikGig. ICO: 00014179479</p>

                <ul class="mb-4">

                    <li> <a href="<?php echo APP_URL . '' . 'privacy-policy/?nocachuri' ?>"> Privacy Policy </a> </li>

                    <li> <a href="#"> Terms and conditions </a> </li>

                </ul>

            </div>

        </div>

    </footer>

             <!-- End Footer  -->



    </main>



    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>

    <script src="assets/js/bootstrap.bundle.min.js"></script>



    <script src="assets/js/owl.carousel.js"></script>

<!-- LOgo slider -->
    <script>

$(document).ready(function(){

    // Optional: You can adjust the speed dynamically here if needed

    $('.logo-slider').each(function(){

        var slider = $(this);

        var slideWidth = slider.width();

        slider.css('animation-duration', '20s' (slideWidth / 80) + 's');



    });

});

</script>

 


    <script src="https://cdn.jsdelivr.net/npm/aos@2.3.4/dist/aos.js"></script>

    <script>

        AOS.init();

    </script>



    <script>

        $(document).ready(function () {

            localStorage.clear();

            $(".navbar-button").click(function () {

                $("#navbarcnt").show();

                $(".bg-overley").addClass("show");



            });

            $(".closebtn").click(function () {

                $("#navbarcnt").hide();

                $(".bg-overley").removeClass("show");

            });

            $(".bg-overley").click(function () {

                $("#navbarcnt").hide();

                $(".bg-overley").removeClass("show");

            });

        });

    </script>

    <script>

        AOS.init({

  once: true, // Animation only happens once

  duration: 1200, // Animation duration

  delay: 200, // Delay before animation starts

});

    </script>
  
  <script>
  function initComparisons() {
    var x, i;
    /*find all elements with an "overlay" class:*/
    x = document.getElementsByClassName("img-comp-overlay");
    for (i = 0; i < x.length; i++) {
      /*once for each "overlay" element:
      pass the "overlay" element as a parameter when executing the compareImages function:*/
      compareImages(x[i]);
    }
    
    function compareImages(img) {
      var slider, img, clicked = 0, w, h;
      /*get the width and height of the img element*/
      w = img.offsetWidth;
      h = img.offsetHeight;
      /*set the width of the img element to 30%:*/
      img.style.width = (w * 0.2) + "px";
      /*create slider:*/
      slider = document.createElement("DIV");
      slider.setAttribute("class", "img-comp-slider");
      /*insert slider*/
      img.parentElement.insertBefore(slider, img);
      /*position the slider 30% across the image:*/
      slider.style.top = (h / 2) - (slider.offsetHeight / 2) + "px";
      slider.style.left = img.offsetWidth - (slider.offsetWidth / 2) + "px";
      /*execute a function when the mouse button is pressed:*/
      slider.addEventListener("mousedown", slideReady);
      /*and another function when the mouse button is released:*/
      window.addEventListener("mouseup", slideFinish);
      /*or touched (for touch screens:*/
      slider.addEventListener("touchstart", slideReady);
      /*and released (for touch screens:*/
      window.addEventListener("touchend", slideFinish);
      
      function slideReady(e) {
        /*prevent any other actions that may occur when moving over the image:*/
        e.preventDefault();
        /*the slider is now clicked and ready to move:*/
        clicked = 1;
        /*execute a function when the slider is moved:*/
        window.addEventListener("mousemove", slideMove);
        window.addEventListener("touchmove", slideMove);
      }
      
      function slideFinish() {
        /*the slider is no longer clicked:*/
        clicked = 0;
      }
      
      function slideMove(e) {
        var pos;
        /*if the slider is no longer clicked, exit this function:*/
        if (clicked == 0) return false;
        /*get the cursor's x position:*/
        pos = getCursorPos(e);
        /*prevent the slider from being positioned outside the image:*/
        if (pos < 0) pos = 0;
        if (pos > w) pos = w;
        /*execute a function that will resize the overlay image according to the cursor:*/
        slide(pos);
      }
      
      function getCursorPos(e) {
        var a, x = 0;
        e = (e.changedTouches) ? e.changedTouches[0] : e;
        /*get the x positions of the image:*/
        a = img.getBoundingClientRect();
        /*calculate the cursor's x coordinate, relative to the image:*/
        x = e.pageX - a.left;
        /*consider any page scrolling:*/
        x = x - window.pageXOffset;
        return x;
      }
      
      function slide(x) {
        /*resize the image:*/
        img.style.width = x + "px";
        /*position the slider:*/
        slider.style.left = img.offsetWidth - (slider.offsetWidth / 2) + "px";
      }
    }
  }
  
  initComparisons();
</script>

</body>



</html>