$(function () {
  $(document).ready(function () {
    const url = window.location.href;

    const queryString = url.split('?')[1];

    const urlParams = new URLSearchParams(queryString);

    let step;

    // sortable questions function
    initializeSortable();

    /* Your Questions */
    /* code starts */

    // Function tohideStep all options
    function hideStepAllOptions($question) {
      $question.find('.ans-maindiv').hide();
      $question.find('.radio_opt').hide();
    }

    // Show/hide options based on the selected question type
    $('.questiontype').on('change', function () {
      var $this = $(this);
      var $question = $this.closest('.questions');
      var selectedType = $this.val();

      hideStepAllOptions($question);

      if (selectedType === 'multiple_choice') {
        $question.find('.ans-maindiv').show();
      } else if (selectedType === 'radio_option') {
        $question.find('.radio_opt').show();
      }
    });

    let aiQuesCount = $('.ai-questions .questions').length + 1;
    let customQuesCount = $('.custom-questions .questions').length + 1;

    // Event listener for changes in the select element
    $(document).on('change', '.questiontype', function () {
      const questionType = $(this).val();
      const $ansMainDiv = $(this).closest('.questions').find('.ans-maindiv');
      const $radiodiv = $(this).closest('.questions').find('.radio_opt');

      $ansMainDiv.find('.quesans-inps').removeAttr('required');
      $radiodiv.find('.quesopt-inps').removeAttr('required');

      if (questionType === 'multiple_choice') {
        $radiodiv.hide();
        $(this).parents('.questions').removeClass('radioactive');
        $radiodiv.find('.quesopt-inps').attr('required', '');
        $ansMainDiv.show();
        $(this).parents('.questions').addClass('multactiv');
        $ansMainDiv.find('.quesans-inps').attr('required', 1);
        $radiodiv.find('.quesopt-inps').removeAttr('required');
        initializeSortable();
      } else if (questionType === 'radio_option') {
        $ansMainDiv.hide();
        $(this).parents('.questions').removeClass('multactiv');
        $ansMainDiv.find('.quesans-inps').attr('required', '');
        $radiodiv.show();
        $(this).parents('.questions').addClass('radioactive');
        $radiodiv.find('.quesopt-inps').attr('required', 1);
        $ansMainDiv.find('.quesans-inps').removeAttr('required');
        initializeSortable();
      } else {
        $ansMainDiv.hide();
        $radiodiv.hide();
        $(this).parents('.questions').removeClass('multactiv radioactive');
        $ansMainDiv.find('.quesans-inps').removeAttr('required');
        $radiodiv.find('.quesopt-inps').removeAttr('required');
      }
    });

    $(document).on(
      'click',
      '.ai-questions .add-questions .addQueBtn',
      function () {
        let quesNo = $('.ai-questions').find('.questions').length + 1;

        let aiQuesHtml = `
      <div class="questions question${quesNo} w-100 float-start mb-4">
            <div class="que-main d-flex align-items-md-center gap-2 h-100">
                <div class="que-inr inputdiv d-md-flex align-items-center justify-content-between w-100">
                    <input type="text" class="input-control ques-inps ques_type w-100 iactiv" placeholder="Example question ${quesNo}" required="required" value="">
                </div>
                <button class="optclosebtn queclosebutton">
                    <i class="fa-solid fa-xmark"></i>
                </button>
                <div class="add-questions float-start">
                  <button class="optclosebtn addQueBtn">
                      <i class="fa fa-plus" aria-hidden="true"></i>
                  </button>
              </div>
            </div>
            <div class="error"></div>
        </div>
      `;

        $('.ai-questions').append(aiQuesHtml);
      }
    );

    $(document).on(
      'click',
      '.custom-questions .add-questions .addQueBtn',
      function () {
        $(this)
          .parents('div')
          .eq(0)
          .css({ display: 'none' })
          .prev()
          .css({ display: 'block' });

        let newQuestionHtml = `
          <div class="questions question${
            customQuesCount + 1
          } w-100 float-start mb-4">
              <div class="que-main d-flex align-items-md-center gap-2">
                  <span class="que-icon me-1 ui-sortable-handle">
                      <img src="assets/images/dots.png" alt="">
                  </span>
                  <div class="que-inr inputdiv d-md-flex align-items-center justify-content-between">
                      <input type="text" class="w-100 input-control ques-inps ques_type w-100 iactiv" placeholder="Example question number ${
                        customQuesCount + 1
                      }" required="required">
                      <select class="questiontype que-opt border-0">
                          <option value="short_answer">Short Answer</option>
                          <option value="multiple_choice">Multiple Choice</option>
                          <option value="radio_option">Radio Option</option>
                          <option value="yes_no">Yes / No</option>
                      </select>
                     
                  </div>
                  <button class="optclosebtn queclosebutton">
                      <i class="fa-solid fa-xmark"></i>
                  </button>
                  <div class="add-questions float-start">
                  <button class="optclosebtn addQueBtn">
                      <i class="fa fa-plus" aria-hidden="true"></i>
                  </button>
              </div>
              </div>

               <div class="error"></div>
              
              <div class="ans-maindiv pt-3" style="display: none;">
                  <div class="ansdrag ui-sortable">
                      <div class="ans-main w-100 pb-3">
                      <div class="answers d-flex gap-2 align-items-md-center justify-content-end">
                          <span class="ans-icon ms-1 ui-sortable-handle">
                              <img src="assets/images/dots.png" alt="">
                          </span>
                          <div class="ans-main-cs inputdiv position-relative">
                              <input type="text" class="w-100 input-control quesans-inps" placeholder="Answer number 1">
                          </div>
                          <button class="optclosebtn closebutton">
                              <i class="fa-solid fa-xmark"></i>
                          </button>
                          <div class="add-option">
                              <button class="optclosebtn addOptBtn">
                                  <i class="fa fa-plus" aria-hidden="true"></i>
                              </button>
                          </div>
                          </div>
                          <div class="answer-err"></div>
                      </div>
                  </div>
              </div>

              <div class="radio_opt pt-3" style="display: none;">
                  <div class="optdrag ui-sortable">
                      <div class="radio_opt_main w-100 pb-3">
                      <div class="answers d-flex gap-2 align-items-center justify-content-end">
                          <span class="opt-icon ui-sortable-handle">
                              <img src="assets/images/dots.png" alt="">
                          </span>
                          <div class="radio_opt-inr inputdiv position-relative">
                              <input type="text" class="w-100 input-control quesopt-inps" placeholder="Option number 1">
                          </div>
                          <button class="optclosebtn queoptclsbtn">
                              <i class="fa-solid fa-xmark"></i>
                          </button>
                          <div class="add-radio-option">
                              <button class="optclosebtn addRadioOptBtn">
                                  <i class="fa fa-plus" aria-hidden="true"></i>
                              </button>
                          </div>
                          </div>
                          <div class="option-err"></div>
                      </div>
                  </div>
              </div>
          </div>
          `;
        $('.custom-questions').append(newQuestionHtml);

        customQuesCount++;

        initializeSortable();
      }
    );

    $(document).on('click', '.ai-questions .queclosebutton', function () {
      $(this).closest('.questions').remove();
      aiQuesCount--;
      var countquesleng = $('.questions-main .ai-questions .questions').length;
      if (countquesleng < 2) {
        $('.questions-main .ai-questions .questions .queclosebutton').hide();
      }
    });

    $(document).on('click', '.ai-questions .queoptclsbtn', function () {
      $(this).closest('.radio_opt_main').remove();
    });

    $(document).on('click', '.custom-questions .queclosebutton', function () {
      $(this).closest('.questions').remove();
      customQuesCount--;
    });

    $(document).on('click', '.custom-questions .closebutton', function () {
      $(this).closest('.ans-main').remove();
    });

    $(document).on('click', '.custom-questions .queoptclsbtn', function () {
      $(this).closest('.radio_opt_main').remove();
    });

    $(document).on('click', '.addRadioOptBtn', function () {

      const optCount = $(this).closest('.optdrag').children().length + 1;
      const newOptionHtml = `
              <div class="radio_opt_main w-100 pb-3">
              <div class="answers d-flex gap-2 align-items-center justify-content-end">
                  <span class="opt-icon ui-sortable-handle">
                      <img src="assets/images/dots.png" alt="">
                  </span>
                  <div class="radio_opt-inr inputdiv position-relative">
                      <input type="text" class="w-100 input-control quesopt-inps" placeholder="Option number ${optCount}">
                  </div>
                  <button class="optclosebtn queoptclsbtn">
                      <i class="fa-solid fa-xmark"></i>
                  </button>
                  <div class="add-radio-option">
                      <button class="optclosebtn addRadioOptBtn">
                          <i class="fa fa-plus" aria-hidden="true"></i>
                      </button>
                  </div>
                  </div>
                  <div class="option-err"></div>
              </div>
          `;
      $(this).closest('.optdrag').append(newOptionHtml);

      // this will update the button on add
      updateRadioCloseBtn();

    });

    $(document).on('click', '.addOptBtn', function () {
      $(this)
        .parents('div')
        .eq(0)
        .css({ display: 'none' })
        .prev()
        .css({ display: 'block' });

      const ansCount = $(this).parents('.ansdrag').find('.ans-main').length + 1;

      const newAnswerHtml = `
              <div class="ans-main answer${ansCount} w-100 pb-3">
              <div class="answers d-flex gap-2 align-items-md-center justify-content-end">
                  <span class="ans-icon ms-1 ui-sortable-handle">
                      <img src="assets/images/dots.png" alt="">
                  </span>
                  <div class="ans-main-cs inputdiv position-relative">
                      <input type="text" class="w-100 input-control quesans-inps" placeholder="Answer number ${ansCount}">
                  </div>
                  <button class="optclosebtn closebutton">
                      <i class="fa-solid fa-xmark"></i>
                  </button>
                  <div class="add-option">
                      <button class="optclosebtn addOptBtn">
                          <i class="fa fa-plus" aria-hidden="true"></i>
                      </button>
                  </div>
              </div>
              <div class="answer-err"></div>
              </div>  
          `;

      $(this).closest('.ansdrag').append(newAnswerHtml);

      initializeSortable();
    });

    /* Questions code ends */

    // get data from db and show the form from where user left
    if (urlParams.get('app_id') != null) {
      $('#app_id').val(urlParams.get('app_id'));

      $.ajax({
        url: '../appcode/get_data.php',
        method: 'post',
        data: {
          app_id: urlParams.get('app_id'),
        },
        success: function (response) {
          const data = JSON.parse(response);
          const url = window.location.href;
          const queryString = url.split('?')[1];
          const urlParams = new URLSearchParams(queryString);
          const app_id = urlParams.get('app_id');
          step = 7 + parseInt(data.submitted_steps);

          if (data.submitted_steps == null) {
            $('.step7').addClass('showStep').removeClass('hideStep');
            appendHTML('custom-page.php?app_id=' + app_id, 7);
          } else {
            for (i = 0; i <= data.submitted_steps; i++) {
              if (i == data.submitted_steps) {
                if (data.submitted_steps > 2) {
                  $('.step' + (step + 1))
                    .addClass('showStep')
                    .removeClass('hideStep');
                } else {
                  $('.step' + step)
                    .addClass('showStep')
                    .removeClass('hideStep');
                }
              }

              if (i == '0') {
                appendHTML('custom-page.php?app_id=' + app_id, 7);
              }

              if (i == '1') {
                appendHTML('form-question.php?app_id=' + app_id, 8, function(){
                  initializeSortable();
                });
              }

              if (i == '2') {
                appendHTML('lead-delivery.php?app_id=' + app_id, 9);
              }

              if (i == '3') {
                appendHTML('ads.php?app_id=' + app_id, 11);
              }

              if (i == '4') {
                appendHTML('specific-functionality.php?app_id=' + app_id, 12);
              }

              if (i == '5') {
                appendHTML('booking.php?app_id=' + app_id, 13);
              }
              if (i == '6') {
                appendHTML('submission.php?app_id=' + app_id, 14);
              }
            }
          }

          /* booking calendar code */
          /* code starts */

          // const getCalendarEl = document.getElementsByClassName(
          //   'form-steps-itemdata'
          // );

          // const calendarEl = getCalendarEl[7].children[0].querySelector('.booking-calendar');

          // // Ensure the calendarEl is not null
          // if (calendarEl) {
          //   // Initialize the FullCalendar
          //   const calendar = new FullCalendar.Calendar(calendarEl, {
          //     height: 650,
          //     initialView: 'dayGridMonth',
          //     events: [
          //       {
          //         title: 'John Doe',
          //         start: '2024-08-01T08:00:00',
          //         color: '#90EE90',
          //       },
          //       {
          //         title: 'Park Doe',
          //         start: '2024-08-17T08:00:00',
          //         color: '#90EE90',
          //       },
          //       {
          //         title: 'Mike Doe',
          //         start: '2024-08-17T12:00:00',
          //         color: '#90EE90',
          //       },
          //       {
          //         title: 'Nick Doe',
          //         start: '2024-08-19T08:00:00',
          //         color: '#90EE90',
          //       },
          //     ],
          //   });
          //   // Render the calendar
          //   calendar.render();
          // }

          /* code ends */
        },
      });
    } else {
      let totalSubmittedSteps = localStorage.getItem('submitted_steps');

      if (localStorage.length > 0) {
        if (localStorage.getItem('submitted_steps') == null) {
          $('.step1').addClass('showStep').removeClass('hideStep');
          appendHTML('general-information1.php', 1);
        } else {
          $('.step1').addClass('hideStep').removeClass('showStep');
          appendHTML('general-information1.php', 1);

          for (i = 1; i <= totalSubmittedSteps; i++) {
            if (i == totalSubmittedSteps) {
              $('.step' + (i + 1))
                .addClass('showStep')
                .removeClass('hideStep');
            }

            if (i == '1') {
              appendHTML('general-information2.php', 2);
            }

            if (i == '2') {
              appendHTML('business-information.php', 3);
            }

            if (i == '3') {
              appendHTML('marketing-information.php', 4);
            }

            if (i == '4') {
              appendHTML('infomation.php', 5);
            }
          }
        }
      } else {
        $('.step1').addClass('showStep').removeClass('hideStep');
        appendHTML('general-information1.php', 1);
      }

      // get the items from local storage and set in steps
      getItemsFromStorage();
    }
  });

  // steps code
  $(document).on('click', '.prevbtn', function () {
    let step = $(this).attr('data-step');

    console.log(step);

    if (step == '2') {
      localStorage.setItem('submitted_steps', 1);
      getItemsFromStorage();
    }

    if (step == '3') {
      localStorage.setItem('submitted_steps', 2);
      getItemsFromStorage();
    }

    if (step == '4') {
      $('html, body').animate({ scrollTop: 0 }, 'fast');
      localStorage.setItem('submitted_steps', 3);
      getItemsFromStorage();
    }

    if (step == '5') {
      $('html, body').animate({ scrollTop: 0 }, 'fast');
      localStorage.setItem('submitted_steps', 4);
      getItemsFromStorage();
    }

    if (step == '6') {
      $('.step8').removeClass('showStep slide-right').addClass('hideStep');
      localStorage.clear();
    }

    if (step == '7') {
      $('html, body').animate({ scrollTop: 0 }, 'fast');
      $('.step5').removeClass('showStep').addClass('hideStep');
      updateFormState('0');
    }

    if (step == '8') {
      $('html, body').animate({ scrollTop: 0 }, 'fast');
      updateFormState('1');
    }

    if (step == '9') {
      $('html, body').animate({ scrollTop: 0 }, 'fast');
      $('.step11').removeClass('showStep').addClass('hideStep');
      updateFormState('2');
    }

    if (step == '10') {
      $('html, body').animate({ scrollTop: 0 }, 'fast');
      $('.step11 .btndv-main .prevbtn').attr('data-step', 9);
      step = '11';
    }

    if (step == '11') {
      $('html, body').animate({ scrollTop: 0 }, 'fast');
      updateFormState('3');
    }

    if (step == '12') {
      $('html, body').animate({ scrollTop: 0 }, 'fast');
      updateFormState('4');
    }

    if (step == '13') {
      updateFormState('5');
      $('html, body').animate({ scrollTop: 0 }, 'fast');
    }

    if (step == '14') {
      $('html, body').animate({ scrollTop: 0 }, 'fast');
      updateFormState('6');
    }

    // slide animation code
    if (step != 6) {
      if ($(this).hasClass('prevbtn')) {
        $('.step' + (Number(step) + 1))
          .removeClass('showStep')
          .addClass('hideStep');
        $('.step' + step)
          .removeClass('hideStep')
          .addClass('showStep slide-right')
          .removeClass('slide-left');
      } else if ($(this).hasClass('nxtbtn')) {
        $('.form-steps-itemdata').css('opacity', '.7');
        $('.form-steps-itemdata').css('pointer-events', 'none');
        setTimeout(() => {
          if (step == 11) {
            $('.step9').removeClass('showStep').addClass('hideStep');
          }
          $('.step' + (step - 1))
            .removeClass('showStep')
            .addClass('hideStep');
          $('.step' + step)
            .removeClass('hideStep')
            .addClass('showStep slide-left')
            .removeClass('slide-right');
          $('.form-steps-itemdata').css('opacity', '1');
          $('.form-steps-itemdata').css('pointer-events', 'unset');
        }, 900);
      }
    }
  });

  $(document).on('click', '.nxtbtn', function () {
    let step = $(this).attr('data-step');
    const url = window.location.href;
    const queryString = url.split('?')[1];
    const urlParams = new URLSearchParams(queryString);
    const app_id = urlParams.get('app_id');

    console.log(step);

    if (step == '2') {
      if ($.trim($('#business_and_industry').val()) == '') {
        $('.business_field_err').css({ display: 'block' });
        return false;
      } else {
        localStorage.setItem('submitted_steps', 1);
      }

      if ($.trim($('.step2').html()) == '') {
        appendHTML('general-information2.php', step);
      }
    }

    if (step == '3') {
      let selectedRadio = $('input[name="domain_website"]:checked');

      // Check if a radio button is selected
      if (selectedRadio.length == 0) {
        $('.website_field_err').css({ display: 'block' });
        return false;
      } else {
        localStorage.setItem('submitted_steps', 2);
        if (selectedRadio.val() == 1) {
          if ($.trim($('#website_url_field').val()) == '') {
            $('.general_info_inr').show();
            $('.url_field_err').html('Field is required.');
            $('.url_field_err').css({ display: 'block' });
            return false;
          } else {
            if (!isValidURL($.trim($('#website_url_field').val()))) {
              $('.general_info_inr').show();
              $('.url_field_err').html('Please enter a valid url');
              $('.url_field_err').css({ display: 'block' });
              return false;
            }
          }
        }
      }
      if ($.trim($('.step3').html()) == '') {
        appendHTML('business-information.php', step);
      }
    }

    if (step == '4') {
      let selectedRadio = $('input[name="company_employees"]:checked');

      // Check if a radio button is selected
      if (selectedRadio.length == 0) {
        $('.emp_size_field_err').css({ display: 'block' });
        return false;
      }

      localStorage.setItem('submitted_steps', 3);

      if ($.trim($('.step4').html()) == '') {
        appendHTML('marketing-information.php', step);
      }
    }

    if (step == '5') {
      let isError = 0;

      const selectedRadio = $('input[name="currently_marketing"]:checked');

      const selectedChallenges = getSelectedChallenges();

      const selectedMarketing = getSelectedMarketing();

      // Check if a radio button is selected
      if (selectedRadio.length == 0) {
        $('.marketing_field_err').css({ display: 'block' });
        isError = 1;
      } else {
        if (selectedRadio.val() == '1') {
          $('.challenges').css({ display: 'block' });
          $('.challenges_field_err').css({ display: 'block' });
          $('.current_marketing').css({ display: 'block' });
          $('.current_mark_field_err').css({ display: 'block' });
          $('.ads').css({ display: 'block' });
          $('.ads_field_err').css({ display: 'block' });

          if (selectedChallenges.length == 0) {
            isError = 1;
          } else {
            $('.challenges_field_err').css({ display: 'none' });
          }

          if (selectedMarketing.length == 0) {
            isError = 1;
          } else {
            $('.current_mark_field_err').css({ display: 'none' });
          }

          if ($('input[name="ads"]:checked').length == 0) {
            isError = 1;
          } else {
            $('.ads_field_err').css({ display: 'none' });
          }
        }
      }

      if (isError === 1) {
        return false;
      }

      localStorage.setItem('submitted_steps', 4);

      if ($.trim($('.step5').html()) == '') {
        appendHTML('infomation.php', step);
      }

      $('html, body').animate({ scrollTop: 0 }, 'fast');
    }

    if (step == '6') {
      $('.step8').removeClass('showStep slide-right').addClass('hideStep');

      if ($.trim($('.step5').html()) != '') {
        let isError = 0;

        let selectedRadio = $('input[name="title"]:checked');

        let phoneNo = $('#mobile_no').val();

        let email = $.trim($('#email').val());

        // Hide step 8
        $('.step8').removeClass('showStep slide-right').addClass('hideStep');

        // Check if a radio button is selected
        if (selectedRadio.length == 0) {
          $('.title_field_err').css({ display: 'block' });
          isError = 1;
        }

        if ($.trim($('#first_name').val()) == '') {
          $('.fname_field_err').html('Required');
          $('.fname_field_err').css({ display: 'block' });
          isError = 1;
        } else {
          let name = $.trim($('#first_name').val());

          if (typeof name !== 'string' || !/^[A-Za-z\s]+$/.test(name)) {
            $('.fname_field_err').html('First name is not valid');
            $('.fname_field_err').css({ display: 'block' });
            isError = 1;
          }
        }

        if ($.trim($('#last_name').val()) == '') {
          $('.lname_field_err').html('Required');
          $('.lname_field_err').css({ display: 'block' });
          isError = 1;
        } else {
          let name = $.trim($('#last_name').val());

          if (typeof name !== 'string' || !/^[A-Za-z\s]+$/.test(name)) {
            $('.lname_field_err').html('Last name is not valid');
            $('.lname_field_err').css({ display: 'block' });
            isError = 1;
          }
        }

        if ($.trim($('#postcode').val()) == '') {
          $('.postcode_field_err').html('Required');
          $('.postcode_field_err').css({ display: 'block' });
          $('.address_selector').html('');
          $('.address_selector').css({ display: 'none' });
          $('.address-selector-btn-reset-isec').css({ display: 'none' });
          $('.crnt-address-selector-osec').html('');
          $('.crnt-address-selector-osec').css({ display: 'none' });
          $('.address_field_err').css({ display: 'none' });
          isError = 1;
        } else {
          $.ajax({
            url: '../appcode/address_api.php',
            method: 'post',
            data: {
              postcode: $('#postcode').val(),
            },
            success: function (data) {
              if (data == 'error') {
                $('.postcode_field_err').html('Please enter a valid postcode');
                $('.postcode_field_err').css({ display: 'block' });
                $('.address_selector').html('');
                $('.address_selector').css({ display: 'none' });
                $('.crnt-address-selector-osec').html('');
                $('.crnt-address-selector-osec').css({ display: 'none' });
                $('.address-selector-btn-reset-isec').css({ display: 'none' });
                isError = 1;
              }
            },
          });

          if ($.trim($('.address_selector').html()) == '') {
            $('.find_address_callbak').click();
            isError = 1;
          } else {
            $('.postcode_field_err').html('Required');
            $('.postcode_field_err').css({ display: 'none' });
          }

          if ($('.crnt-address-selector').find(':selected').val() == '-1') {
            $('.address_field_err').html('Please select an address');
            $('.address_field_err').css({ display: 'block' });
            isError = 1;
          }
        }

        if (phoneNo == '') {
          $('.mobile_field_err').html('Required');
          $('.mobile_field_err').css({ display: 'block' });
          isError = 1;
        } else {
          if (phoneNo.length != 10) {
            $('.mobile_field_err').html('Mobile No should be of 10 digits');
            $('.mobile_field_err').css({ display: 'block' });
            isError = 1;
          } else {
            validatePhone(phoneNo, function (isValid) {
              if (!isValid) {
                $('.mobile_field_err').html('Mobile no is not valid.');
                $('.mobile_field_err').css({ display: 'block' });
                $('#phone_validated').val('0');
                isError = 1;
              } else {
                $('.mobile_field_err').html('Required');
                $('.mobile_field_err').css({ display: 'none' });
                $('#phone_validated').val('1');
              }
            });
          }
        }

        if (email == '') {
          $('.email_field_err').html('Required');
          $('.email_field_err').css({ display: 'block' });
          isError = 1;
        } else {
          validateEmail(email, function (isValid) {
            if (!isValid) {
              $('.email_field_err').html('Email is not valid.');
              $('.email_field_err').css({ display: 'block' });
              $('#email_validated').val('0');
              isError = 1;
            } else {
              $('.email_field_err').html('Required');
              $('.email_field_err').css({ display: 'none' });
              $('#email_validated').val('1');
            }
          });
        }

        if (!$('#checkbox').is(':checked')) {
          $('.checkbox_err').css({ display: 'block' });
          isError = 1;
        }

        if (isError === 0) {
          $('.form-steps-itemdata').css('opacity', '.7');
          $('.form-steps-itemdata').css('pointer-events', 'none');
        } else {
          return false;
        }

        setTimeout(function () {
          if (isError === 1) {
            $('.form-steps-itemdata').removeAttr('style');
            return false;
          }

          if ($('#phone_validated').val() == '0') {
            return false;
          }

          if ($('#email_validated').val() == '0') {
            return false;
          }

          storeToDB('1', null);

          $('.form-steps-itemdata').css('opacity', '.7');
          $('.form-steps-itemdata').css('pointer-events', 'none');

          step = '7';
        }, 1800);

        localStorage.clear();
      }
    }

    if (step == '7') {
      $('.step5').removeClass('showStep').addClass('hideStep');

      if ($.trim($('.step7').html()) == '') {
        appendHTML('custom-page.php?app_id=' + app_id, step);
      }

      storeToDB('2', null);
    }

    if (step == '8') {
      let isError = 0;

      if ($.trim($('#design_pref').val()) == '') {
        $('.design_field_err').html('Field is required.');
        $('.design_field_err').css({ display: 'block' });
        isError = 1;
      }

      if (isError === 1) {
        return false;
      }

      if ($.trim($('.step8').html()) == '') {
        appendHTML('form-question.php?app_id=' + app_id, step, function(){
          initializeSortable();
        });
      }

      storeToDB('2', '1');
    }

    if (step == '9') {
      let status = 0;
    
      $('.step11').removeClass('showStep').addClass('hideStep');
    
      if (!$('.website-input').is(':checked')) {
        // Loop through each question
        $('.questions-main .ai-questions .questions').each(function (
          index,
          questionDiv
        ) {
          var $questionDiv = $(questionDiv);
    
          if ($.trim($questionDiv.find('.inputdiv input').val()) == '') {
            status = 1;
            if ($.trim($questionDiv.find('.error').html()) == '') {
              $questionDiv.find('.error').html(`
             <div class="invalid-feedback col-lg-12 mt-1" style="display: block;">Field is required.</div>`);
            }
          } 
    
          $questionDiv.find('.inputdiv input').on('keyup', function () {
            if ($.trim($(this).val()) != '') {
              $questionDiv.find('.error').html('');
            }
          });
        });
      } else {
        var totlqleng = $('.questions-main .custom-questions .questions').length;
        var qloopleng = 0;
        $('.questions-main .custom-questions .questions').each(function (
          index,
          questionDiv
        ) {
          var $questionDiv = $(questionDiv);
    
          qloopleng++;

          // Skip validation for multiple choice and radio option if it's the last question
          if (qloopleng != totlqleng) {
            if ($questionDiv.find('.questiontype').val() == 'multiple_choice') {
              var totlqlengmultipl = $questionDiv.find('.ans-main').length;
              var qlooplengmultipl = 0;
              $questionDiv.find('.ans-main').each(function () {
                var $ansDiv = $(this);
    
                qlooplengmultipl++;
    
                if (
                  qlooplengmultipl != totlqlengmultipl ||
                  totlqlengmultipl < 2
                ) {
                  if ($.trim($ansDiv.find('.inputdiv input').val()) == '') {
                    status = 1;
                    $ansDiv.find('.answer-err').html(`
                    <div class="invalid-feedback col-lg-12 mt-1" style="display: block;">Field is required.</div>`);
                  } else {
                    $ansDiv.find('.answer-err').html('');
                  }
    
                  $ansDiv.find('.inputdiv input').on('keyup', function () {
                    if ($.trim($ansDiv.find('.inputdiv input').val()) != '') {
                      $ansDiv.find('.answer-err').html('');
                    }
                  });
                }
              });
            }
            if ($questionDiv.find('.questiontype').val() == 'radio_option') {
              var totlqlengrad = $questionDiv.find('.radio_opt_main').length;
              var qlooplengrad = 0;
    
              $questionDiv.find('.radio_opt_main').each(function () {
                var $optionDiv = $(this);
    
                qlooplengrad++;
    
                if (qlooplengrad != totlqlengrad || totlqlengrad < 2) {
                  if ($.trim($optionDiv.find('.inputdiv input').val()) == '') {
                    status = 1;
                    $optionDiv.find('.option-err').html(`
                    <div class="invalid-feedback col-lg-12 mt-1" style="display: block;">Field is required.</div>`);
                  } else {
                    $optionDiv.find('.option-err').html('');
                  }
    
                  $optionDiv.find('.inputdiv input').on('keyup', function () {
                    if ($.trim($optionDiv.find('.inputdiv input').val()) != '') {
                      $optionDiv.find('.option-err').html('');
                    }
                  });
                }
              });
            }
          }

          else
          {
            if(qloopleng == '1')
            {
              if ($questionDiv.find('.questiontype').val() == 'multiple_choice') {
                var totlqlengmultipl = $questionDiv.find('.ans-main').length;
                var qlooplengmultipl = 0;
                $questionDiv.find('.ans-main').each(function () {
                  var $ansDiv = $(this);
      
                  qlooplengmultipl++;
      
                  if (
                    qlooplengmultipl != totlqlengmultipl ||
                    totlqlengmultipl < 2
                  ) {
                    if ($.trim($ansDiv.find('.inputdiv input').val()) == '') {
                      status = 1;
                      $ansDiv.find('.answer-err').html(`
                      <div class="invalid-feedback col-lg-12 mt-1" style="display: block;">Field is required.</div>`);
                    } else {
                      $ansDiv.find('.answer-err').html('');
                    }
      
                    $ansDiv.find('.inputdiv input').on('keyup', function () {
                      if ($.trim($ansDiv.find('.inputdiv input').val()) != '') {
                        $ansDiv.find('.answer-err').html('');
                      }
                    });
                  }
                });
              }
              if ($questionDiv.find('.questiontype').val() == 'radio_option') {
                var totlqlengrad = $questionDiv.find('.radio_opt_main').length;
                var qlooplengrad = 0;
      
                $questionDiv.find('.radio_opt_main').each(function () {
                  var $optionDiv = $(this);
      
                  qlooplengrad++;
      
                  if (qlooplengrad != totlqlengrad || totlqlengrad < 2) {
                    if ($.trim($optionDiv.find('.inputdiv input').val()) == '') {
                      status = 1;
                      $optionDiv.find('.option-err').html(`
                      <div class="invalid-feedback col-lg-12 mt-1" style="display: block;">Field is required.</div>`);
                    } else {
                      $optionDiv.find('.option-err').html('');
                    }
      
                    $optionDiv.find('.inputdiv input').on('keyup', function () {
                      if ($.trim($optionDiv.find('.inputdiv input').val()) != '') {
                        $optionDiv.find('.option-err').html('');
                      }
                    });
                  }
                });
              }
            }
          }
    
          if (qloopleng != totlqleng || totlqleng < 2) {
            if ($.trim($questionDiv.find('.ques-inps').val()) == '') {
              status = 1;
              if ($.trim($questionDiv.find('.error').html()) == '') {
                $questionDiv.find('.error').html(`
              <div class="invalid-feedback col-lg-12 mt-1" style="display: block;">Field is required.</div>`);
              }
            } else {
              $questionDiv.find('.error').html('');
            }
          }
    
          $questionDiv.find('.ques-inps').on('keyup', function () {
            if ($.trim($(this).val()) != '') {
              $questionDiv.find('.error').html('');
            } 
          });
        });
      }
    
      if (status === 1) {
        return false;
      }
    
      if ($.trim($('.step9').html()) == '') {
        appendHTML('lead-delivery.php?app_id=' + app_id, step);
      }
    
      storeToDB('2', '2');
    }

    if (step == '10') {
      let isError = 0;

      let selectedRadio = $('input[name="web_leads_delivered"]:checked');

      if (selectedRadio.length === 0) {
        $('.leads_del_err').css({ display: 'block' });
        isError = 1;
      } else {
        if (selectedRadio.val() == '1') {
          $('.solutions').css({ display: 'block' });
          $('.crm_used').css({ display: 'block' });

          if ($('input[name="web_process_leads"]:checked').length === 0) {
            $('.solutions_field_err').css({ display: 'block' });
            isError = 1;
          }

          if ($('input[name="crm_used"]:checked').length === 0) {
            $('.crm_used_field_err').css({ display: 'block' });
            isError = 1;
          }
        }
      }

      if (isError === 1) {
        return false;
      }

      if ($.trim($('.step10').html()) == '') {
        appendHTML('copy-writing.php', step);
      }

      $('.step11 .btndv-main .prevbtn').attr('data-step', 9);
      step = '11';

      $('html, body').animate({ scrollTop: 0 }, 'fast');
    }

    if (step == '11') {
      //$('.step9').removeClass('showStep').addClass('hideStep');

      if ($.trim($('.step11').html()) == '') {
        appendHTML('ads.php?app_id=' + app_id, step);
      }

      storeToDB('2', '3');

      $('html, body').animate({ scrollTop: 0 }, 'fast');
    }

    if (step == '12') {
      if ($.trim($('.step12').html()) == '') {
        appendHTML('specific-functionality.php?app_id=' + app_id, step);
      }

      storeToDB('2', '4');

      $('html, body').animate({ scrollTop: 0 }, 'fast');
    }

    if (step == '13') {
      let isError = 0;

      let selectedRadio = $('input[name="functionality_required"]:checked');

      if (selectedRadio.length === 0) {
        $('.func_field_err').css({ display: 'block' });
        isError = 1;
      } else {
        if (selectedRadio.val() == '1') {
          $('.func_req').css({ display: 'block' });
          if ($.trim($('#functionality_req').val()) == '') {
            $('.func_req_field_err').css({ display: 'block' });
            isError = 1;
          }
        }
      }

      if (isError === 1) {
        return false;
      }

      if ($.trim($('.step13').html()) == '') {
        appendHTML('booking.php?app_id=' + app_id, step);
      }

      storeToDB('2', '5');

      $('html, body').animate({ scrollTop: 0 }, 'fast');
    }

    if (step == '14') {
      if ($.trim($('.step14').html()) == '') {
        appendHTML('submission.php?app_id=' + app_id, step);
      }

      storeToDB('2', '6');

      $('html, body').animate({ scrollTop: 0 }, 'fast');
    }

    // slide animation code
    if (step != 6) {
      if ($(this).hasClass('prevbtn')) {
        $('.step' + (Number(step) + 1))
          .removeClass('showStep')
          .addClass('hideStep');
        $('.step' + step)
          .removeClass('hideStep')
          .addClass('showStep slide-right')
          .removeClass('slide-left');
      } else if ($(this).hasClass('nxtbtn')) {
        $('.form-steps-itemdata').css('opacity', '.7');
        $('.form-steps-itemdata').css('pointer-events', 'none');
        setTimeout(() => {
          if (step == 11) {
            $('.step9').removeClass('showStep').addClass('hideStep');
          }
          $('.step' + (step - 1))
            .removeClass('showStep')
            .addClass('hideStep');
          $('.step' + step)
            .removeClass('hideStep')
            .addClass('showStep slide-left')
            .removeClass('slide-right');
          $('.form-steps-itemdata').css('opacity', '1');
          $('.form-steps-itemdata').css('pointer-events', 'unset');
        }, 900);
      }
    }
  });

  // show hide fields according to radio
  $(document).on('change', 'input[name="domain_website"]', function () {
    if ($('input[name="domain_website"]:checked').val() == '1') {
      $('.website_url').css({ display: 'block' });
    } else {
      $('.website_url').css({ display: 'none' });
    }
  });

  // show hide fields according to radio
  $(document).on('change', 'input[name="currently_marketing"]', function () {
    if ($('input[name="currently_marketing"]:checked').val() == '1') {
      $('.challenges').css({ display: 'block' });
      $('.current_marketing').css({ display: 'block' });
      $('.ads').css({ display: 'block' });
    } else {
      $('.challenges').css({ display: 'none' });
      $('.current_marketing').css({ display: 'none' });
      $('.ads').css({ display: 'none' });
    }
  });

  // show hide fields according to radio
  $(document).on('change', 'input[name="web_leads_delivered"]', function () {
    $('.leads_del_err').css({ display: 'none' });
    if ($('input[name="web_leads_delivered"]:checked').val() == '1') {
      $('.solutions').css({ display: 'block' });
      $('.crm_used').css({ display: 'block' });
    } else {
      $('.solutions').css({ display: 'none' });
      $('.crm_used').css({ display: 'none' });
      $('.solutions input[type="radio"]').prop('checked', false);
      $('.crm_used input[type="radio"]').prop('checked', false);
      // $('.step9 .nxtbtn').click();   // Trigger for auto next button click
    }
  });

  // show hide fields according to radio
  $(document).on('change', 'input[name="functionality_required"]', function () {
    if ($('input[name="functionality_required"]:checked').val() == '1') {
      $('.func_req').css({ display: 'block' });
    } else {
      $('.func_req').css({ display: 'none' });
      $('#functionality_req').val('');
    }
  });

  /* hide validations on change of inputs */
  /* Code starts */

  $(document).on('keyup', '#business_and_industry', function () {
    $('.business_field_err').css({ display: 'none' });
    setItemsInStorage();
  });

  $(document).on('change', 'input[name="domain_website"]', function () {
    let selectedVal = $('input[name="domain_website"]:checked').val();

    if (selectedVal == '0') {
      $('.website_field_err').css({ display: 'none' });
      // $('.step2 .nxtbtn').click(); // Trigger for auto next button click
    } else {
      $('.website_field_err').css({ display: 'none' });
    }
    setItemsInStorage();
  });

  $(document).on('keyup', '#website_url_field', function () {
    $('.url_field_err').css({ display: 'none' });
    setItemsInStorage();
  });

  $(document).on('change', 'input[name="company_employees"]', function () {
    $('.emp_size_field_err').css({ display: 'none' });
    setItemsInStorage();
    // $('.step3 .nxtbtn').click();  // Trigger for auto next button click
  });

  $(document).on('change', 'input[name="currently_marketing"]', function () {
    let selectedVal = $('input[name="currently_marketing"]:checked').val();
    if (selectedVal == '0') {
      $('.marketing_field_err').css({ display: 'none' });
      // $('.step4 .nxtbtn').click(); // Trigger for auto next button click
    } else {
      $('.marketing_field_err').css({ display: 'none' });
    }
    setItemsInStorage();
  });

  $(document).on('change', 'input[name="challenges[]"]', function () {
    $('.challenges_field_err').css({ display: 'none' });
    setItemsInStorage();
    // $('.step4 .nxtbtn').click();
  });

  $(document).on(
    'change',
    'input[name="how_are_you_marketing[]"]',
    function () {
      $('.current_mark_field_err').css({ display: 'none' });
      setItemsInStorage();
      // $('.step4 .nxtbtn').click();
    }
  );

  $(document).on('change', 'input[name="ads"]', function () {
    $('.ads_field_err').css({ display: 'none' });
    setItemsInStorage();
    // $('.step4 .nxtbtn').click();
  });

  $(document).on('change', 'input[name="title"]', function () {
    $('.title_field_err').css({ display: 'none' });
    setItemsInStorage();
  });

  $(document).on('keyup', '#first_name', function () {
    $('.fname_field_err').css({ display: 'none' });
    setItemsInStorage();
  });

  $(document).on('keyup', '#last_name', function () {
    $('.lname_field_err').css({ display: 'none' });
    setItemsInStorage();
  });

  $(document).on('keyup', '#postcode', function () {
    $('.postcode_field_err').css({ display: 'none' });
    setItemsInStorage();
  });

  $(document).on('keyup', '#mobile_no', function () {
    $('.mobile_field_err').css({ display: 'none' });
    setItemsInStorage();
  });

  $(document).on('keyup', '#email', function () {
    $('.email_field_err').css({ display: 'none' });
    setItemsInStorage();
  });

  $(document).on('change', 'input[name="agree"]', function () {
    if ($('input[name="agree"]').is(':checked')) {
      $('.checkbox_err').css({ display: 'none' });
      localStorage.setItem('agree', 1);
    } else {
      localStorage.setItem('agree', 0);
    }
  });

  // applying bg color on select template in landing page
  $(document).on('click', '.selectbtn', function () {
    $('.selected-template').removeClass('selected-template');
    $('.selectbtn').text('Select');

    $(this).text('Selected');
    $(this).closest('div').parents('div').eq(1).addClass('selected-template');

    let selectedTemplate = $(this).attr('data-button-value');
    $('#selected_design').val(selectedTemplate);
    $('.template_error').css({ display: 'none' });

    if (selectedTemplate != 'Custom') {
      $('#reference_link').val('');
      $('#prefer_theme').val('');
      $('#website_description').val('');
      $('.step8 .btndv-main .prevbtn').attr('data-step', 6);
    } else {
      $('.step8 .btndv-main .prevbtn').attr('data-step', 7);
    }
  });

  $(document).on('keyup', '#design_pref', function () {
    $('.design_field_err').css({ display: 'none' });
  });

  $(document).on('change', '.website-input', function () {
    if ($('.website-input').is(':checked')) {
      $('.custom-questions').css({ display: 'block' });
      $('.ai-questions').css({ display: 'none' });

      var countquesleng = $(
        '.questions-main .custom-questions .questions'
      ).length;
      if (countquesleng < 2) {
        $(
          '.questions-main .custom-questions .questions .queclosebutton'
        ).hide();
        $('.questions-main .custom-questions .questions .add-questions').show();
      }

      $('.ques-subheading').text(
        'Please create the questions & answers to vet your leads.'
      );
      $('.ques-subtext').text('Question Lists');
    } else {
      $('.custom-questions').css({ display: 'none' });
      $('.ai-questions').css({ display: 'block' });

      $('.ques-subheading').text(
        'Based on your business / industry we’ll write the form questions for you.'
      );
      $('.ques-subtext').html(
        ' Are there any important questions that we might miss? <img src="assets/images/info.png" alt="" width="16px">'
      );
    }
  });

  $(document).on('change', 'input[name="web_process_leads"]', function () {
    $('.solutions_field_err').css({ display: 'none' });
    // $('.step9 .nxtbtn').click(); // Trigger for auto next button click
  });

  $(document).on('change', 'input[name="crm_used"]', function () {
    $('.crm_used_field_err').css({ display: 'none' });
    // $('.step9 .nxtbtn').click();   // Trigger for auto next button click
  });

  $(document).on('change', 'input[name="functionality_required"]', function () {
    let selectedVal = $('input[name="functionality_required"]:checked').val();
    if (selectedVal == '0') {
      $('.func_field_err').css({ display: 'none' });
      //  $('.step12 .nxtbtn').click();  // Trigger for auto next button click
    } else {
      $('.func_field_err').css({ display: 'none' });
    }
  });

  $(document).on('keyup', '#functionality_req', function () {
    $('.func_req_field_err').css({ display: 'none' });
  });

  /* Code ends */

  // find address api
  $(document).on('click', '.find_address_callbak', function () {
    $('.find_address_callbak').css({ opacity: 0.5 });

    $('.find_address_callbak').attr('value', 'Processing...');

    if ($.trim($('#postcode').val()) == '') {
      $('.postcode_field_err').css({ display: 'block' });
      $('.find_address_callbak').css({ opacity: 1 });
      $('.find_address_callbak').attr('value', 'Find Address');
      $('.address_selector').html('');
      $('.address_selector').css({ display: 'none' });
      $('.address-selector-btn-reset-isec').css({ display: 'none' });
      $('.crnt-address-selector-osec').html('');
      $('.crnt-address-selector-osec').css({ display: 'none' });
    } else {
      $('.postcode_field_err').css({ display: 'none' });

      $('.crnt-address-selector-osec').css({ display: 'none' });

      $.ajax({
        url: '../appcode/address_api.php',
        method: 'post',
        data: {
          postcode: $('#postcode').val(),
        },
        success: function (data) {
          if (data != 'error') {
            $('.address_selector').html(data);
            $('.address_selector').css({ display: 'block' });
            $('.address-selector-btn-reset-isec').css({ display: 'block' });
            $('.postcode_field_err').html('Required');
            $('.postcode_field_err').css({ display: 'none' });
            $('.find_address_callbak').css({ opacity: 1 });
            $('.find_address_callbak').attr('value', 'Find Address');
          } else {
            $('.find_address_callbak').css({ opacity: 1 });
            $('.find_address_callbak').attr('value', 'Find Address');
            $('.address_selector').html('');
            $('.address_selector').css({ display: 'none' });
            $('.address-selector-btn-reset-isec').css({ display: 'none' });
            $('.address_field_err').css({ display: 'none' });
            $('.postcode_field_err').html('Please enter a valid postcode');
            $('.postcode_field_err').css({ display: 'block' });
          }
        },
      });
    }
  });

  // show the selected address from api
  $(document).on('change', '.crnt-address-selector', function () {
    if ($('.crnt-address-selector').find(':selected').val() == '-1') {
      $('.address_field_err').html('Please select an address');
      $('.address_field_err').css({ display: 'block' });
      $('.crnt-address-selector-osec').html('');
      $('.selctr_address_inpv').val('');
    } else {
      $('.address_field_err').css({ display: 'none' });
      $('.crnt-address-selector-osec').css({ display: 'block' });

      html = `<div class="clearwidth crnt-adrs-itms bg-white rounded mt-3">`;

      $('.selctr_address_inpv').val($(this).find(':selected').text());

      if ($(this).find(':selected').attr('data_adrs_1') != '') {
        html += `<span class="clearwidth crnt-adrs-itm crnt-adrs-itm1">${$(this)
          .find(':selected')
          .attr('data_adrs_1')}</span>`;
      }

      if ($(this).find(':selected').attr('data_adrs_2') != '') {
        html += `<span class="clearwidth crnt-adrs-itm crnt-adrs-itm2">${$(this)
          .find(':selected')
          .attr('data_adrs_2')}</span>`;
      }

      if ($(this).find(':selected').attr('data_adrs_3') != '') {
        html += `<span class="clearwidth crnt-adrs-itm crnt-adrs-itm3">${$(this)
          .find(':selected')
          .attr('data_adrs_3')}</span>`;
      }

      if ($(this).find(':selected').attr('data_adrs_4') != '') {
        html += `<span class="clearwidth crnt-adrs-itm crnt-adrs-itm4">${$(this)
          .find(':selected')
          .attr('data_adrs_4')}</span>`;
      }

      html += `</div>`;

      $('.crnt-address-selector-osec').html(html);
    }
  });

  // reset address button
  $(document).on('click', '.address-selector-btn-reset', function () {
    $('#postcode').val('');
    $('.selctr_address_inpv').val('');
    $('.address_field_err').css({ display: 'none' });
    $('.address_selector').html('');
    $('.address_selector').css({ display: 'none' });
    $('.crnt-address-selector-isec').css({ display: 'none' });
    $('.address-selector-btn-reset-isec').css({ display: 'none' });
    $('.crnt-address-selector-isecerr').css({ display: 'none' });
    $('.crnt-address-selector-osec').css({ display: 'none' });
  });

  $(document).on('click', '.step10 .notrightbtn', function () {
    $('#write_copy').val('0');
  });

  $(document).on('click', '.step10 .copybtn', function () {
    $('#write_copy').val('1');
  });

  $(document).on('click', '.step11 .notrightbtn', function () {
    $('#paid_marketing').val('0');
    $('.step11 .nxtbtn').click();
  });

  $(document).on('click', '.step11 .Mrkgbtn', function () {
    $('#paid_marketing').val('1');
    $('.step11 .nxtbtn').click();
  });

  $(document).on('click', '.step11 .prevbtn', function () {
    $('.step9')
      .addClass('showStep slide-right')
      .removeClass('hideStep slide-left');
  });

  initializeSortable();
});

// initialize sortable
function initializeSortable() {
  $('.custom-questions').sortable({
    handle: '.que-icon',
    placeholder: 'sortable-placeholder',
    start: function (event, ui) {
      ui.placeholder.height(ui.item.height());
    },
    stop: function () {
      $('.custom-questions .invalid-feedback').remove();
      updateQuesCloseBtn();
    },
  });

  $('.ansdrag').sortable({
    handle: '.ans-icon',
    placeholder: 'sortable-placeholder',
    start: function (event, ui) {
      ui.placeholder.height(ui.item.height());
    },
    stop: function () {
      $('.custom-questions .invalid-feedback').remove();
      updateAnsCloseBtn();
    },
  });

  $('.optdrag').sortable({
    handle: '.opt-icon',
    placeholder: 'sortable-placeholder',
    start: function (event, ui) {
      ui.placeholder.height(ui.item.height());
    },
    stop: function () {
      $('.custom-questions .invalid-feedback').remove();
      updateRadioCloseBtn();
    },
  });
}

// update close button on sorting
function updateQuesCloseBtn() {
  $('.questions .queclosebutton').show();
  $('.questions .add-questions').hide();
  $('.questions:last-child .queclosebutton').hide();
  $('.questions:last-child .add-questions').show();
}

function updateAnsCloseBtn() {
  $('.ans-main .closebutton').show();
  $('.ans-main .add-option').hide();
  $('.ans-main:last-child .closebutton').hide();
  $('.ans-main:last-child .add-option').show();
}

function updateRadioCloseBtn() {
  $('.radio_opt_main .queoptclsbtn').show();
  $('.radio_opt_main .addRadioOptBtn').hide();
  $('.radio_opt_main:last-child .queoptclsbtn').hide();
  $('.radio_opt_main:last-child .addRadioOptBtn').show();
}

// get selected checkboxes of challenges in step 4
function getSelectedChallenges() {
  const selectedChallenges = $("input[name='challenges[]']:checked")
    .map(function () {
      return this.value;
    })
    .get();

  return selectedChallenges;
}

// get selected checkboxes of marketing in step 4
function getSelectedMarketing() {
  const selectedMarketing = $("input[name='how_are_you_marketing[]']:checked")
    .map(function () {
      return this.value;
    })
    .get();

  return selectedMarketing;
}

// this function will store step data to db
function storeToDB(formType, step) {
  var $inputsChecked = $('main :input:checked');
  var $inputs = $('main :input:not(:radio)');

  var valuesChecked = {};
  $inputsChecked.each(function () {
    valuesChecked[this.name] = $(this).val();
  });

  var values = {};
  $inputs.each(function () {
    if (!this.name.startsWith('ques')) {
      values[this.name] = $(this).val();
    }
  });

  const selectedChallenges = getSelectedChallenges();
  const selectedMarketing = getSelectedMarketing();

  if ($('input[name="agree"]').is(':checked')) {
    valuesChecked['agree'] = 1;
  } else {
    valuesChecked['agree'] = 0;
  }

  if ($('.website-input').is(':checked')) {
    valuesChecked['custom_questions'] = 1;
  } else {
    valuesChecked['custom_questions'] = 0;
  }

  if ($('input[name="currently_marketing"]:checked').val() == '1') {
    valuesChecked['challenges'] = selectedChallenges.join(',');
    valuesChecked['how_are_you_marketing'] = selectedMarketing.join(',');
  }

  if ($('.website-input').is(':checked')) {
    // fetching your questions to store in db
    var qloop = 0;
    $('.questions-main .custom-questions .questions').each(function () {
      var questhis = $(this);

      // Set the name for the question and its type
      questhis
        .find('.que-main .ques-inps.ques_type')
        .attr('name', '[ques][' + qloop + '][q]');
      questhis
        .find('.que-main .questiontype')
        .attr('name', '[ques][' + qloop + '][qtype]');

      var ansloop = 0;
      var get_typeval = questhis.find('.que-main .questiontype').val();

      // Remove existing names for inputs inside answer fields
      questhis.find('.ans-maindiv .ans-main .input-control').removeAttr('name');
      questhis
        .find('.radio_opt .radio_opt_main .input-control')
        .removeAttr('name');

      // Set the name for the answer options based on the question type
      if (get_typeval == 'radio_option') {
        questhis.find('.radio_opt .radio_opt_main').each(function () {
          var ansthis = $(this);
          ansthis
            .find('.input-control')
            .attr('name', '[ques][' + qloop + '][a][' + ansloop + ']');

          ansloop++;
        });
      } else {
        questhis.find('.ans-maindiv .ans-main').each(function () {
          var ansthis = $(this);
          ansthis
            .find('.input-control')
            .attr('name', '[ques][' + qloop + '][a][' + ansloop + ']');

          ansloop++;
        });
      }

      qloop++;
    });

    // Collect all input values under .custom-questions
    var formData = {};

    $('.custom-questions')
      .find(':input')
      .each(function () {
        var input = $(this);
        var name = input.attr('name');
        var value = input.val();

        if (name) {
          // Split the name into parts, e.g., "ques[0][q]" -> ["ques", "0", "q"]
          var parts = name.match(/[^[\]]+/g);
          var current = formData;

          // Iterate through the parts and build the nested structure
          for (var i = 0; i < parts.length; i++) {
            var part = parts[i];

            // If it's the last part, set the value
            if (i === parts.length - 1) {
              current[part] = value;
            } else {
              // If the key doesn't exist, create it as an object or array
              if (!current[part]) {
                current[part] = isNaN(parts[i + 1]) ? {} : [];
              }
              current = current[part];
            }
          }
        }
      });

    values['your_questions'] = JSON.stringify(formData);
  } else {
    var qloop = 0;
    $('.questions-main .ai-questions .questions').each(function () {
      var questhis = $(this);
      questhis
        .find('.que-main .ques-inps.ques_type')
        .attr('name', 'ques[' + qloop + '][q]');

      qloop++;
    });

    // Collect all input values under .ai-questions
    var formData = {};
    $('.ai-questions')
      .find(':input')
      .each(function () {
        var input = $(this);
        var name = input.attr('name');
        var value = input.val();

        if (name) {
          // Split the name into parts, e.g., "ques[0][q]" -> ["ques", "0", "q"]
          var parts = name.match(/[^[\]]+/g);
          var current = formData;

          // Iterate through the parts and build the nested structure
          for (var i = 0; i < parts.length; i++) {
            var part = parts[i];

            // If it's the last part, set the value
            if (i === parts.length - 1) {
              current[part] = value;
            } else {
              // If the key doesn't exist, create it as an object or array
              if (!current[part]) {
                current[part] = isNaN(parts[i + 1]) ? {} : [];
              }
              current = current[part];
            }
          }
        }
      });

    values['your_questions'] = JSON.stringify(formData);
  }

  $.ajax({
    url: '../appcode/insert_to_db.php',
    method: 'post',
    data: {
      app_id: $('#app_id').val(),
      form_type: formType,
      valuesChecked: valuesChecked,
      values: values,
      submitted_steps: step,
    },
    success: function (data) {
      let getData = JSON.parse(data);
      if (formType == '1') {
        if (getData.status == 'success') {
          var cachecod = generateRandomString(10);
          setTimeout(function () {
            window.location.href =
              '?' + '' + cachecod + '&app_id=' + getData.app_id;
          }, 500);
        }
      }
      if (getData.status != 'success') {
        alert('Something went wrong');
        window.location.href = '../';
      }
    },
  });
}

// this will update the submitted steps in db
function updateFormState(step) {
  $.ajax({
    url: '../appcode/update_form_state.php',
    method: 'post',
    data: {
      app_id: $('#app_id').val(),
      submitted_steps: step,
    },
    success: function (data) {
      let getData = JSON.parse(data);
      if (getData.status != 'success') {
        alert('Something went wrong');
        window.location.href = '../';
      }
    },
  });
}

function generateRandomString(length) {
  const characters =
    'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
  let result = '';
  const charactersLength = characters.length;

  for (let i = 0; i < length; i++) {
    result += characters.charAt(Math.floor(Math.random() * charactersLength));
  }

  return result;
}

// phone no validator api
function validatePhone(phoneNo, callback) {
  $.ajax({
    url: '../appcode/phone_api.php',
    method: 'post',
    data: {
      phone: phoneNo,
    },
    success: function (data) {
      let getData = JSON.parse(data);
      if (getData.status == 'failed') {
        $('.mobile_field_err').html('Mobile No is not valid.');
        $('.mobile_field_err').css({ display: 'block' });
        callback(false);
      } else {
        $('.mobile_field_err').html('Field is required.');
        $('.mobile_field_err').css({ display: 'none' });
        callback(true);
      }
    },
  });
}

// email validator api
function validateEmail(email, callback) {
  $.ajax({
    url: '../appcode/email_api.php',
    method: 'post',
    data: {
      email: email,
    },
    success: function (data) {
      let getData = JSON.parse(data);
      if (getData.status == 'failed') {
        $('.email_field_err').html('Email is not valid.');
        $('.email_field_err').css({ display: 'block' });
        callback(false);
      } else {
        $('.email_field_err').html('Field is required.');
        $('.email_field_err').css({ display: 'none' });
        callback(true);
      }
    },
  });
}

// this function is appending html code
function appendHTML(file, step, callback) {
  $.ajax({
    url: file,
    method: 'get',
    success: function (data) {
      $('.step' + step).append(data);
      if (typeof callback === 'function') {
        callback();
      }
    },
    async: false,
  });
}

// this function is checking if url is valid or not
function isValidURL(url) {
  const regex =
    /^(https?:\/\/)?(www\.)?((([a-zA-Z0-9_-]+)\.)+[a-zA-Z]{2,6})(:[0-9]{1,5})?(\/.*)?$/;
  return regex.test(url);
}

function validateInput(event) {
  const input = event.target;
  // Remove any non-numeric characters
  input.value = input.value.replace(/\D/g, '');
  // Limit to 10 characters
  if (input.value.length > 10) {
    input.value = input.value.slice(0, 10);
  }
}

// set the values in local storage
function setItemsInStorage() {
  const $inputsChecked = $('main :input:checked');
  const $inputs = $('main :input:not(:radio)');

  $inputsChecked.each(function () {
    localStorage.setItem(this.name, $(this).val());
  });

  $inputs.each(function () {
    if (!this.name.startsWith('ques')) {
      const inputType = $(this).attr('type');
      if (inputType != 'checkbox') {
        localStorage.setItem(this.name, $(this).val());
      }
    }
  });

  const selectedChallenges = getSelectedChallenges();
  const selectedMarketing = getSelectedMarketing();

  if ($('input[name="currently_marketing"]:checked').val() == '1') {
    localStorage.setItem('challenges[]', selectedChallenges.join(','));
    localStorage.setItem(
      'how_are_you_marketing[]',
      selectedMarketing.join(',')
    );
  } else {
    localStorage.setItem('challenges[]', selectedChallenges.join(','));
    localStorage.setItem(
      'how_are_you_marketing[]',
      selectedMarketing.join(',')
    );
  }
}

// get the items from local storage
function getItemsFromStorage() {
  const $inputsChecked = $('main :input:radio');
  const $inputs = $('main :input:not(:radio)');

  // Populate checked inputs (checkboxes, radios)
  $inputsChecked.each(function () {
    const storedValue = localStorage.getItem(this.name);
    if (storedValue) {
      $(`input[name="${this.name}"][value="${storedValue}"]`).prop(
        'checked',
        true
      );
    }
  });

  // Populate other inputs (text fields, etc.)
  $inputs.each(function () {
    if (!this.name.startsWith('ques')) {
      const storedValue = localStorage.getItem(this.name);
      const inputType = $(this).attr('type');
      if (storedValue) {
        if (inputType != 'checkbox') {
          $(this).val(storedValue);
        }
      }
    }
  });

  // Populate custom values
  const storedChallenges = localStorage.getItem('challenges[]');
  const storedMarketing = localStorage.getItem('how_are_you_marketing[]');
  const agree = localStorage.getItem('agree');

  if (storedChallenges) {
    const challengesArray = storedChallenges.split(',');
    challengesArray.forEach(function (value) {
      $(`input[name="challenges[]"][value="${value}"]`).prop('checked', true);
    });
  }

  if (storedMarketing) {
    const marketingArray = storedMarketing.split(',');
    marketingArray.forEach(function (value) {
      $(`input[name="how_are_you_marketing[]"][value="${value}"]`).prop(
        'checked',
        true
      );
    });
  }

  if (agree) {
    if (agree === '1') {
      $('input[name="agree"]').prop('checked', true);
    }
  }

  if ($('input[name="domain_website"]:checked').val() == '1') {
    $('.website_url').css({ display: 'block' });
  }

  if ($('input[name="currently_marketing"]:checked').val() == '1') {
    $('.challenges').show();
    $('.current_marketing').show();
    $('.ads').show();
  }
}
