<section class="form-steps-itemdata">
    <?php
    require_once '../db/conn.php';

    $app_id = $_GET['app_id'];
    $query2 = $conn->prepare('SELECT * FROM funnel_data WHERE app_id LIKE ?');
    $query2->execute(['%' . $app_id . '%']);
    $result = $query2->fetch();

    ?>
    <h1>Your Questions</h1>
    <h5 class="mb-0 ques-subheading ">
        <?php if ($result['custom_questions'] == 1) { ?>
            Please create the questions & answers to vet your leads.
        <?php } else { ?>
            Based on your business / industry we’ll write the form questions for you.
        <?php } ?>
    </h5>

    <div class="question-leads questions-main w-100 float-start">
        <div class="d-flex justify-content-between gap-3 flex-wrap let_me align-items-center mb-2">
            <div class="">
                <p class="mb-0 ques-subtext">
                    <?php if ($result['custom_questions'] == 1) { ?>
                        Question Lists
                    <?php } else { ?>
                        Are there any important questions that we might miss? <img src="assets/images/info.png" alt="" width="16px">
                    <?php } ?>
                </p>
            </div>
            <div class="">
                <label class="feild_switch feild_input d-flex align-items-center justify-content-sm-end justify-content-start mb-md-0 mb-3">
                    <input <?php if ($result['custom_questions'] == 1) {
                                echo 'checked';
                            } ?> type="checkbox" class="feild_input website-input" name="custom_questions">
                    <span class="switch_slider_web me-2"></span>
                    Let me do this
                </label>
            </div>
        </div>

        <div <?php if ($result['custom_questions'] == 1) { ?> style="display:block;" <?php } ?> class="custom-questions ui-sortable">
            <?php
            $your_questions = $result['your_questions'];
            $your_questions_decode = (array)json_decode($your_questions);

            if ($result['custom_questions'] == 1) {
                $quesloopi = 0;
                foreach ($your_questions_decode['ques'] as $quesdata) {
                    $quesloopi++;
            ?>

                    <div class="questions question<?php echo $quesloopi; ?> w-100 float-start mb-4">
                        <div class="que-main d-flex align-items-md-center justify-content-between gap-2 h-100">
                            <span class="que-icon me-1 ui-sortable-handle"><img src="assets/images/dots.png" alt=""></span>
                            <div class="que-inr inputdiv d-md-flex align-items-center justify-content-between">
                                <input type="text" class="input-control ques-inps ques_type w-100 iactiv" placeholder="Example question number 1" required="required" value="<?php echo $quesdata->q; ?>">
                                <select class="questiontype que-opt border-0">
                                    <option <?php if (isset($quesdata->qtype) && $quesdata->qtype == 'short_answer') {
                                                echo 'selected';
                                            } ?> value="short_answer">Short Answer</option>
                                    <option <?php if (isset($quesdata->qtype) && $quesdata->qtype == 'multiple_choice') {
                                                echo 'selected';
                                            } ?> value="multiple_choice">Multiple Choice</option>
                                    <option <?php if (isset($quesdata->qtype) && $quesdata->qtype == 'radio_option') {
                                                echo 'selected';
                                            } ?> value="radio_option">Radio Option</option>
                                    <option <?php if (isset($quesdata->qtype) && $quesdata->qtype == 'yes_no') {
                                                echo 'selected';
                                            } ?> value="yes_no">Yes / No</option>
                                </select>
                            </div>
                            <button class="optclosebtn queclosebutton">
                                <i class="fa-solid fa-xmark"></i>
                            </button>
                            <div class="add-questions float-start">
                                <button class="optclosebtn addQueBtn">
                                    <i class="fa fa-plus" aria-hidden="true"></i>
                                </button>
                            </div>
                        </div>

                        <div class="error"></div>
                        <?php if (isset($quesdata->qtype) && $quesdata->qtype == 'multiple_choice') {  // multi choice option
                        ?>

                            <div class="ans-maindiv pt-3">
                                <div class="ansdrag ui-sortable">

                                    <?php foreach ($quesdata->a as $answer) { ?>

                                        <div class="ans-main w-100 pb-3">
                                            <div class="d-flex gap-2 align-items-md-center justify-content-end">
                                                <span class="ans-icon ms-1 ui-sortable-handle">
                                                    <img src="assets/images/dots.png" alt=""></span>
                                                <div class="ans-main-cs inputdiv position-relative">
                                                    <input type="text" class="w-100 input-control quesans-inps" placeholder="Answer number 1" value="<?php echo $answer; ?>">
                                                </div>
                                                <button class="optclosebtn closebutton">
                                                    <i class="fa-solid fa-xmark"></i>
                                                </button>
                                                <div class="add-option">
                                                    <button class="optclosebtn addOptBtn"><i class="fa fa-plus" aria-hidden="true"></i></button>
                                                </div>
                                            </div>
                                            <div class="answer-err"></div>
                                        </div>

                                    <?php } ?>


                                </div>
                            </div>
                        <?php } else { // default multi choice 
                        ?>
                            <div class="ans-maindiv pt-3" style="display: none;">
                                <div class="ansdrag ui-sortable">
                                    <div class="ans-main w-100 pb-3">
                                        <div class="d-flex gap-2 align-items-md-center justify-content-end">
                                            <span class="ans-icon ms-1 ui-sortable-handle">
                                                <img src="assets/images/dots.png" alt=""></span>
                                            <div class="ans-main-cs inputdiv position-relative">
                                                <input type="text" class="w-100 input-control quesans-inps" placeholder="Answer number 1">
                                            </div>
                                            <button class="optclosebtn closebutton">
                                                <i class="fa-solid fa-xmark"></i>
                                            </button>
                                            <div class="add-option">
                                                <button class="optclosebtn addOptBtn"><i class="fa fa-plus" aria-hidden="true"></i></button>
                                            </div>
                                        </div>
                                        <div class="answer-err"></div>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>

                        <?php if (isset($quesdata->qtype) && $quesdata->qtype == 'radio_option') {  // radio option 
                        ?>

                            <div class="radio_opt pt-3">
                                <div class="optdrag ui-sortable">

                                    <?php foreach ($quesdata->a as $radio) { ?>

                                        <div class="radio_opt_main w-100 pb-3">
                                            <div class="d-flex gap-2 align-items-center justify-content-end">
                                                <span class="opt-icon ui-sortable-handle"><img src="assets/images/dots.png" alt=""></span>
                                                <div class="radio_opt-inr inputdiv position-relative">
                                                    <input type="text" class="w-100 input-control quesopt-inps" placeholder="Option number 1" value="<?php echo $radio ?>">
                                                </div>

                                                <button class="optclosebtn queoptclsbtn"><i class="fa-solid fa-xmark"></i></button>
                                                <div class="add-radio-option">
                                                    <button class="optclosebtn addRadioOptBtn">
                                                        <i class="fa fa-plus" aria-hidden="true"></i>
                                                    </button>
                                                </div>
                                            </div>
                                            <div class="option-err"></div>
                                        </div>

                                    <?php } ?>

                                </div>
                            </div>
                    </div>

                <?php
                        } else {
                ?>

                    <div class="radio_opt pt-3" style="display: none;">
                        <div class="optdrag ui-sortable">
                            <div class="radio_opt_main w-100 pb-3">
                                <div class="d-flex gap-2 align-items-center justify-content-end">
                                    <span class="opt-icon ui-sortable-handle"><img src="assets/images/dots.png" alt=""></span>
                                    <div class="radio_opt-inr inputdiv position-relative">
                                        <input type="text" class="w-100 input-control quesopt-inps" placeholder="Option number 1">
                                    </div>

                                    <button class="optclosebtn queoptclsbtn"><i class="fa-solid fa-xmark"></i></button>
                                    <div class="add-radio-option">
                                        <button class="optclosebtn addRadioOptBtn">
                                            <i class="fa fa-plus" aria-hidden="true"></i>
                                        </button>
                                    </div>
                                </div>
                                <div class="option-err"></div>
                            </div>
                        </div>
                    </div>
        </div>

    <?php } ?>

<?php
                }
                //foreach end
            } // empty variable end
            else { ?>

<div class="questions question1 w-100 float-start mb-4">
    <div class="que-main d-flex align-items-md-center gap-2 h-100">
        <span class="que-icon me-1 ui-sortable-handle"><img src="assets/images/dots.png" alt=""></span>
        <div class="que-inr inputdiv d-md-flex align-items-center justify-content-between">
            <input type="text" class="input-control ques-inps ques_type w-100 iactiv" placeholder="Example question number 1" required="required" value>
            <select class="questiontype que-opt border-0">
                <option value="short_answer">Short Answer</option>
                <option value="multiple_choice">Multiple Choice</option>
                <option value="radio_option">Radio Option</option>
                <option value="yes_no">Yes / No</option>
            </select>
        </div>
        <button class="optclosebtn queclosebutton">
            <i class="fa-solid fa-xmark"></i>
        </button>
        <div class="add-questions float-start">
            <button class="optclosebtn addQueBtn">
                <i class="fa fa-plus" aria-hidden="true"></i>
            </button>
        </div>
    </div>

    <div class="error"></div>

    <div class="ans-maindiv pt-3" style="display: none;">
        <div class="ansdrag ui-sortable">
            <div class="ans-main w-100 pb-3">
                <div class="answers d-flex gap-2 align-items-md-center justify-content-end">
                    <span class="ans-icon ms-1 ui-sortable-handle">
                        <img src="assets/images/dots.png" alt=""></span>
                    <div class="ans-main-cs inputdiv position-relative">
                        <input type="text" class="w-100 input-control quesans-inps" placeholder="Answer number 1">
                    </div>
                    <button class="optclosebtn closebutton">
                        <i class="fa-solid fa-xmark"></i>
                    </button>
                    <div class="add-option">
                        <button class="optclosebtn addOptBtn"><i class="fa fa-plus" aria-hidden="true"></i></button>
                    </div>
                </div>
                <div class="answer-err"></div>
            </div>
        </div>
    </div>

    <div class="radio_opt pt-3" style="display: none;">
        <div class="optdrag ui-sortable">
            <div class="radio_opt_main w-100 pb-3">
                <div class="answers d-flex gap-2 align-items-center justify-content-end">
                    <span class="opt-icon ui-sortable-handle"><img src="assets/images/dots.png" alt=""></span>
                    <div class="radio_opt-inr inputdiv position-relative">
                        <input type="text" class="w-100 input-control quesopt-inps" placeholder="Option number 1">
                    </div>

                    <button class="optclosebtn queoptclsbtn"><i class="fa-solid fa-xmark"></i></button>
                    <div class="add-radio-option">
                        <button class="optclosebtn addRadioOptBtn">
                            <i class="fa fa-plus" aria-hidden="true"></i>
                        </button>
                    </div>
                </div>
                <div class="option-err"></div>
            </div>
        </div>
    </div>
</div>

<?php }
?>

    </div>

    <div <?php if ($result['custom_questions'] == 1) { ?> style="display:none;" <?php } ?> class="ai-questions ui-sortable">

        <?php

        if ($result['custom_questions'] == 0  && $result['your_questions'] != '') {

            $your_questions = json_decode($result['your_questions'], true);

            $quesloopi = 0;

            foreach ($your_questions['ques'] as $quesdata) {

                $quesloopi++;
        ?>

                <div class="questions question<?php echo $quesloopi; ?> w-100 float-start mb-4">
                    <div class="que-main d-flex align-items-md-center gap-2 h-100">
                        <div class="que-inr inputdiv d-md-flex align-items-center justify-content-between w-100">
                            <input type="text" class="input-control ques-inps ques_type w-100 iactiv" placeholder="Example question <?php echo $quesloopi; ?>" required="required" value="<?php echo $quesdata['q']; ?>">
                        </div>
                        <?php if (count($your_questions['ques']) > 1) { ?>
                            <button class="optclosebtn queclosebutton" style="display: block;">
                                <i class="fa-solid fa-xmark"></i>
                            </button>
                        <?php } ?>
                    </div>
                    <div class="error"></div>
                </div>

            <?php }
        } else { ?>


            <div class="questions question1 w-100 float-start mb-4">
                <div class="que-main d-flex align-items-md-center gap-2 h-100">
                    <div class="que-inr inputdiv d-md-flex align-items-center justify-content-between w-100">
                        <input type="text" class="input-control ques-inps ques_type w-100 iactiv" placeholder="Example question 1" required="required" value="">
                    </div>
                    <button class="optclosebtn queclosebutton">
                        <i class="fa-solid fa-xmark"></i>
                    </button>
                    <div class="add-questions float-start">
                        <button class="optclosebtn addQueBtn">
                            <i class="fa fa-plus" aria-hidden="true"></i>
                        </button>
                    </div>
                </div>
                <div class="error"></div>
            </div>

            <div class="questions question2 w-100 float-start mb-4">
                <div class="que-main d-flex align-items-md-center gap-2 h-100">
                    <div class="que-inr inputdiv d-md-flex align-items-center justify-content-between w-100">
                        <input type="text" class="input-control ques-inps ques_type w-100 iactiv" placeholder="Example question 2" required="required" value="">
                    </div>
                    <button class="optclosebtn queclosebutton">
                        <i class="fa-solid fa-xmark"></i>
                    </button>
                </div>
                <div class="error"></div>
            </div>

            <div class="questions question3 w-100 float-start mb-4">
                <div class="que-main d-flex align-items-md-center gap-2 h-100">
                    <div class="que-inr inputdiv d-md-flex align-items-center justify-content-between w-100">
                        <input type="text" class="input-control ques-inps ques_type w-100 iactiv" placeholder="Example question 3" required="required" value="">
                    </div>
                    <button class="optclosebtn queclosebutton">
                        <i class="fa-solid fa-xmark"></i>
                    </button>
                </div>
                <div class="error"></div>
            </div>

        <?php } ?>
    </div>

    <input type="hidden" id="form-validated" value="0">
    </div>

    <div class="btndv-main text-end w-100">
        <button type="button" class="prevbtn btn stpbtn me-3" data-step="7">Previous</a>
            <button type="button" class="nxtbtn btn stpbtn" data-step="9">Next</a>
    </div>
</section>